//------------------------------------------------------------------------------
// 
//	ACTvZT[rX TvvO
//	ГꊇvZp[^ݒtH[NX
//
//	Copyrights (c) 2004-2009 Advanced Core Technologies, Inc. All rights reserved.
//
//  2009/01/19 Rev.2.0.1.0 ISHI J
//
//------------------------------------------------------------------------------

//	Using Namespace
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

using ACT.DCWS;

namespace SampleMX
{
	/// <summary>
	/// OneWayForm ̊Tv̐łB
	/// </summary>
	/// 
	//	Definition of Class
	public class OneWayForm : System.Windows.Forms.Form
	{
		//------------------------------------------------------------------------------
		//	Constants
		//------------------------------------------------------------------------------

		//	[Private]

		//	vZ͈
		private const Int32 CALC_RANGE_MIN = 1;			//   ŏl
		private const Int32 CALC_RANGE_MAX = 9999;		//   ől

		//------------------------------------------------------------------------------
		//	Members
		//------------------------------------------------------------------------------

		//	[Private]

		private DCService.COWParam m_COWParam;	//	vZp[^NX

		//	[Internal]

		internal System.Windows.Forms.Label labelCalcAreaRangeDigit;
		internal System.Windows.Forms.Label labelCalcAreaRange;
        internal System.Windows.Forms.Label labelCalcAreaDirection;
        internal System.Windows.Forms.Label labelCalcKind;
		internal System.Windows.Forms.Button buttonCancel;
		internal System.Windows.Forms.Button buttonOK;
		internal System.Windows.Forms.GroupBox groupCalcArea;
        internal System.Windows.Forms.GroupBox groupCalcDist;
		internal System.Windows.Forms.Panel panelCalcAreaKind;
		internal System.Windows.Forms.Panel panelCalcAreaDirection;
		internal System.Windows.Forms.RadioButton radioCalcAreaRimitDist;
		internal System.Windows.Forms.RadioButton radioCalcAreaRimitTime;
		internal System.Windows.Forms.RadioButton radioCalcAreaDirectionInflow;
		internal System.Windows.Forms.RadioButton radioCalcAreaDirectionOutflow;
        internal System.Windows.Forms.RadioButton radioCalcKindDist;
        internal System.Windows.Forms.RadioButton radioCalcKindTime;
        internal System.Windows.Forms.TextBox textCalcAreaRange;
        internal System.Windows.Forms.CheckBox checkUsePayRoadFr;
        internal System.Windows.Forms.CheckBox checkUseShip;
        internal System.Windows.Forms.CheckBox checkUseFerry;
        internal System.Windows.Forms.CheckBox checkUseAirway;
        internal System.Windows.Forms.CheckBox checkUseRailroad;
        internal System.Windows.Forms.CheckBox checkUseHighway;
        private Label labelModalID;

        //	[Private]

		/// <summary>
		/// KvȃfUCiϐłB
		/// </summary>
		private System.ComponentModel.Container components = null;

		//------------------------------------------------------------------------------
		//	Methods
		//------------------------------------------------------------------------------

		//	[Public]

		//	RXgN^
		//	p[^
		//		DCParam	[IN]vZp[^IuWFNg
		public OneWayForm(DCService.COWParam cowParam)
		{
			//
			// Windows tH[ fUCi T|[gɕKvłB
			//
			InitializeComponent();

			//
			// TODO: InitializeComponent ĂяǒɁARXgN^ R[hǉĂB
			//
			//	ݒ
			m_COWParam = cowParam;
		}

		//	[Protected]

		/// <summary>
		/// gpĂ郊\[XɌ㏈s܂B
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows tH[ fUCiŐꂽR[h 
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		private void InitializeComponent()
		{
			this.buttonCancel = new System.Windows.Forms.Button();
			this.groupCalcArea = new System.Windows.Forms.GroupBox();
			this.labelCalcAreaRange = new System.Windows.Forms.Label();
			this.panelCalcAreaKind = new System.Windows.Forms.Panel();
			this.radioCalcAreaRimitDist = new System.Windows.Forms.RadioButton();
			this.radioCalcAreaRimitTime = new System.Windows.Forms.RadioButton();
			this.labelCalcAreaDirection = new System.Windows.Forms.Label();
			this.panelCalcAreaDirection = new System.Windows.Forms.Panel();
			this.radioCalcAreaDirectionInflow = new System.Windows.Forms.RadioButton();
			this.radioCalcAreaDirectionOutflow = new System.Windows.Forms.RadioButton();
			this.textCalcAreaRange = new System.Windows.Forms.TextBox();
			this.labelCalcAreaRangeDigit = new System.Windows.Forms.Label();
			this.buttonOK = new System.Windows.Forms.Button();
			this.groupCalcDist = new System.Windows.Forms.GroupBox();
			this.labelModalID = new System.Windows.Forms.Label();
			this.checkUsePayRoadFr = new System.Windows.Forms.CheckBox();
			this.checkUseShip = new System.Windows.Forms.CheckBox();
			this.checkUseFerry = new System.Windows.Forms.CheckBox();
			this.checkUseAirway = new System.Windows.Forms.CheckBox();
			this.checkUseRailroad = new System.Windows.Forms.CheckBox();
			this.checkUseHighway = new System.Windows.Forms.CheckBox();
			this.radioCalcKindDist = new System.Windows.Forms.RadioButton();
			this.radioCalcKindTime = new System.Windows.Forms.RadioButton();
			this.labelCalcKind = new System.Windows.Forms.Label();
			this.groupCalcArea.SuspendLayout();
			this.panelCalcAreaKind.SuspendLayout();
			this.panelCalcAreaDirection.SuspendLayout();
			this.groupCalcDist.SuspendLayout();
			this.SuspendLayout();
			// 
			// buttonCancel
			// 
			this.buttonCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.buttonCancel.Location = new System.Drawing.Point(268, 283);
			this.buttonCancel.Name = "buttonCancel";
			this.buttonCancel.Size = new System.Drawing.Size(96, 24);
			this.buttonCancel.TabIndex = 3;
			this.buttonCancel.Text = "ݾ";
			// 
			// groupCalcArea
			// 
			this.groupCalcArea.Controls.Add(this.labelCalcAreaRange);
			this.groupCalcArea.Controls.Add(this.panelCalcAreaKind);
			this.groupCalcArea.Controls.Add(this.labelCalcAreaDirection);
			this.groupCalcArea.Controls.Add(this.panelCalcAreaDirection);
			this.groupCalcArea.Controls.Add(this.textCalcAreaRange);
			this.groupCalcArea.Controls.Add(this.labelCalcAreaRangeDigit);
			this.groupCalcArea.Location = new System.Drawing.Point(8, 191);
			this.groupCalcArea.Name = "groupCalcArea";
			this.groupCalcArea.Size = new System.Drawing.Size(356, 86);
			this.groupCalcArea.TabIndex = 1;
			this.groupCalcArea.TabStop = false;
			this.groupCalcArea.Text = "B/vZݒ";
			// 
			// labelCalcAreaRange
			// 
			this.labelCalcAreaRange.Location = new System.Drawing.Point(10, 52);
			this.labelCalcAreaRange.Name = "labelCalcAreaRange";
			this.labelCalcAreaRange.Size = new System.Drawing.Size(84, 16);
			this.labelCalcAreaRange.TabIndex = 2;
			this.labelCalcAreaRange.Text = "vZ͈";
			this.labelCalcAreaRange.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// panelCalcAreaKind
			// 
			this.panelCalcAreaKind.Controls.Add(this.radioCalcAreaRimitDist);
			this.panelCalcAreaKind.Controls.Add(this.radioCalcAreaRimitTime);
			this.panelCalcAreaKind.Location = new System.Drawing.Point(160, 44);
			this.panelCalcAreaKind.Name = "panelCalcAreaKind";
			this.panelCalcAreaKind.Size = new System.Drawing.Size(120, 32);
			this.panelCalcAreaKind.TabIndex = 5;
			// 
			// radioCalcAreaRimitDist
			// 
			this.radioCalcAreaRimitDist.Location = new System.Drawing.Point(0, 16);
			this.radioCalcAreaRimitDist.Name = "radioCalcAreaRimitDist";
			this.radioCalcAreaRimitDist.Size = new System.Drawing.Size(112, 16);
			this.radioCalcAreaRimitDist.TabIndex = 1;
			this.radioCalcAreaRimitDist.Text = "(1-9999km)";
			this.radioCalcAreaRimitDist.CheckedChanged += new System.EventHandler(this.radioAreaKindDist_CheckedChanged);
			// 
			// radioCalcAreaRimitTime
			// 
			this.radioCalcAreaRimitTime.Checked = true;
			this.radioCalcAreaRimitTime.Location = new System.Drawing.Point(0, 0);
			this.radioCalcAreaRimitTime.Name = "radioCalcAreaRimitTime";
			this.radioCalcAreaRimitTime.Size = new System.Drawing.Size(112, 16);
			this.radioCalcAreaRimitTime.TabIndex = 0;
			this.radioCalcAreaRimitTime.TabStop = true;
			this.radioCalcAreaRimitTime.Text = "(1-9999)";
			this.radioCalcAreaRimitTime.CheckedChanged += new System.EventHandler(this.radioAreaKindTime_CheckedChanged);
			// 
			// labelCalcAreaDirection
			// 
			this.labelCalcAreaDirection.Location = new System.Drawing.Point(10, 20);
			this.labelCalcAreaDirection.Name = "labelCalcAreaDirection";
			this.labelCalcAreaDirection.Size = new System.Drawing.Size(84, 16);
			this.labelCalcAreaDirection.TabIndex = 0;
			this.labelCalcAreaDirection.Text = "vZ";
			this.labelCalcAreaDirection.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// panelCalcAreaDirection
			// 
			this.panelCalcAreaDirection.Controls.Add(this.radioCalcAreaDirectionInflow);
			this.panelCalcAreaDirection.Controls.Add(this.radioCalcAreaDirectionOutflow);
			this.panelCalcAreaDirection.Location = new System.Drawing.Point(100, 20);
			this.panelCalcAreaDirection.Name = "panelCalcAreaDirection";
			this.panelCalcAreaDirection.Size = new System.Drawing.Size(172, 16);
			this.panelCalcAreaDirection.TabIndex = 1;
			// 
			// radioCalcAreaDirectionInflow
			// 
			this.radioCalcAreaDirectionInflow.Location = new System.Drawing.Point(84, 0);
			this.radioCalcAreaDirectionInflow.Name = "radioCalcAreaDirectionInflow";
			this.radioCalcAreaDirectionInflow.Size = new System.Drawing.Size(80, 16);
			this.radioCalcAreaDirectionInflow.TabIndex = 1;
			this.radioCalcAreaDirectionInflow.Text = "";
			// 
			// radioCalcAreaDirectionOutflow
			// 
			this.radioCalcAreaDirectionOutflow.Checked = true;
			this.radioCalcAreaDirectionOutflow.Location = new System.Drawing.Point(0, 0);
			this.radioCalcAreaDirectionOutflow.Name = "radioCalcAreaDirectionOutflow";
			this.radioCalcAreaDirectionOutflow.Size = new System.Drawing.Size(80, 16);
			this.radioCalcAreaDirectionOutflow.TabIndex = 0;
			this.radioCalcAreaDirectionOutflow.TabStop = true;
			this.radioCalcAreaDirectionOutflow.Text = "B";
			// 
			// textCalcAreaRange
			// 
			this.textCalcAreaRange.Location = new System.Drawing.Point(100, 52);
			this.textCalcAreaRange.MaxLength = 4;
			this.textCalcAreaRange.Name = "textCalcAreaRange";
			this.textCalcAreaRange.Size = new System.Drawing.Size(32, 19);
			this.textCalcAreaRange.TabIndex = 3;
			this.textCalcAreaRange.Text = "10";
			// 
			// labelCalcAreaRangeDigit
			// 
			this.labelCalcAreaRangeDigit.Location = new System.Drawing.Point(136, 52);
			this.labelCalcAreaRangeDigit.Name = "labelCalcAreaRangeDigit";
			this.labelCalcAreaRangeDigit.Size = new System.Drawing.Size(20, 16);
			this.labelCalcAreaRangeDigit.TabIndex = 4;
			this.labelCalcAreaRangeDigit.Text = "";
			this.labelCalcAreaRangeDigit.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// buttonOK
			// 
			this.buttonOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.buttonOK.Location = new System.Drawing.Point(164, 283);
			this.buttonOK.Name = "buttonOK";
			this.buttonOK.Size = new System.Drawing.Size(96, 24);
			this.buttonOK.TabIndex = 2;
			this.buttonOK.Text = "&OK";
			// 
			// groupCalcDist
			// 
			this.groupCalcDist.Controls.Add(this.labelModalID);
			this.groupCalcDist.Controls.Add(this.checkUsePayRoadFr);
			this.groupCalcDist.Controls.Add(this.checkUseShip);
			this.groupCalcDist.Controls.Add(this.checkUseFerry);
			this.groupCalcDist.Controls.Add(this.checkUseAirway);
			this.groupCalcDist.Controls.Add(this.checkUseRailroad);
			this.groupCalcDist.Controls.Add(this.checkUseHighway);
			this.groupCalcDist.Controls.Add(this.radioCalcKindDist);
			this.groupCalcDist.Controls.Add(this.radioCalcKindTime);
			this.groupCalcDist.Controls.Add(this.labelCalcKind);
			this.groupCalcDist.Location = new System.Drawing.Point(8, 12);
			this.groupCalcDist.Name = "groupCalcDist";
			this.groupCalcDist.Size = new System.Drawing.Size(356, 173);
			this.groupCalcDist.TabIndex = 0;
			this.groupCalcDist.TabStop = false;
			this.groupCalcDist.Text = "vZݒ";
			// 
			// labelModalID
			// 
			this.labelModalID.Location = new System.Drawing.Point(10, 149);
			this.labelModalID.Name = "labelModalID";
			this.labelModalID.Size = new System.Drawing.Size(319, 16);
			this.labelModalID.TabIndex = 11;
			this.labelModalID.Text = "igp\ȗAi͌vZpHf[^ɂĈقȂ܂j";
			this.labelModalID.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// checkUsePayRoadFr
			// 
			this.checkUsePayRoadFr.Enabled = false;
			this.checkUsePayRoadFr.Location = new System.Drawing.Point(138, 108);
			this.checkUsePayRoadFr.Name = "checkUsePayRoadFr";
			this.checkUsePayRoadFr.Size = new System.Drawing.Size(174, 16);
			this.checkUsePayRoadFr.TabIndex = 7;
			this.checkUsePayRoadFr.Text = "kCÂݎgp";
			// 
			// checkUseShip
			// 
			this.checkUseShip.Location = new System.Drawing.Point(12, 130);
			this.checkUseShip.Name = "checkUseShip";
			this.checkUseShip.Size = new System.Drawing.Size(332, 16);
			this.checkUseShip.TabIndex = 8;
			this.checkUseShip.Text = "qDgp(qSgp̏ꍇA}gp)";
			// 
			// checkUseFerry
			// 
			this.checkUseFerry.Location = new System.Drawing.Point(12, 108);
			this.checkUseFerry.Name = "checkUseFerry";
			this.checkUseFerry.Size = new System.Drawing.Size(116, 16);
			this.checkUseFerry.TabIndex = 6;
			this.checkUseFerry.Text = "tF[gp";
			this.checkUseFerry.CheckedChanged += new System.EventHandler(this.checkUseFerry_CheckedChanged);
			// 
			// checkUseAirway
			// 
			this.checkUseAirway.Location = new System.Drawing.Point(12, 86);
			this.checkUseAirway.Name = "checkUseAirway";
			this.checkUseAirway.Size = new System.Drawing.Size(124, 16);
			this.checkUseAirway.TabIndex = 5;
			this.checkUseAirway.Text = "q@gp";
			// 
			// checkUseRailroad
			// 
			this.checkUseRailroad.Location = new System.Drawing.Point(12, 64);
			this.checkUseRailroad.Name = "checkUseRailroad";
			this.checkUseRailroad.Size = new System.Drawing.Size(116, 16);
			this.checkUseRailroad.TabIndex = 4;
			this.checkUseRailroad.Text = "Sgp";
			// 
			// checkUseHighway
			// 
			this.checkUseHighway.Location = new System.Drawing.Point(12, 42);
			this.checkUseHighway.Name = "checkUseHighway";
			this.checkUseHighway.Size = new System.Drawing.Size(338, 16);
			this.checkUseHighway.TabIndex = 3;
			this.checkUseHighway.Text = "Hgp";
			// 
			// radioCalcKindDist
			// 
			this.radioCalcKindDist.Location = new System.Drawing.Point(184, 20);
			this.radioCalcKindDist.Name = "radioCalcKindDist";
			this.radioCalcKindDist.Size = new System.Drawing.Size(80, 16);
			this.radioCalcKindDist.TabIndex = 2;
			this.radioCalcKindDist.Text = "ŒZ";
			// 
			// radioCalcKindTime
			// 
			this.radioCalcKindTime.Checked = true;
			this.radioCalcKindTime.Location = new System.Drawing.Point(100, 20);
			this.radioCalcKindTime.Name = "radioCalcKindTime";
			this.radioCalcKindTime.Size = new System.Drawing.Size(80, 16);
			this.radioCalcKindTime.TabIndex = 1;
			this.radioCalcKindTime.TabStop = true;
			this.radioCalcKindTime.Text = "ŒZ";
			// 
			// labelCalcKind
			// 
			this.labelCalcKind.Location = new System.Drawing.Point(10, 20);
			this.labelCalcKind.Name = "labelCalcKind";
			this.labelCalcKind.Size = new System.Drawing.Size(84, 16);
			this.labelCalcKind.TabIndex = 0;
			this.labelCalcKind.Text = "vZ@";
			this.labelCalcKind.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// OneWayForm
			// 
			this.AcceptButton = this.buttonOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
			this.CancelButton = this.buttonCancel;
			this.ClientSize = new System.Drawing.Size(372, 315);
			this.Controls.Add(this.groupCalcDist);
			this.Controls.Add(this.buttonCancel);
			this.Controls.Add(this.groupCalcArea);
			this.Controls.Add(this.buttonOK);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "OneWayForm";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "ГꊇvZݒ";
			this.Closing += new System.ComponentModel.CancelEventHandler(this.AreaForm_Closing);
			this.Load += new System.EventHandler(this.OneWayForm_Load);
			this.groupCalcArea.ResumeLayout(false);
			this.panelCalcAreaKind.ResumeLayout(false);
			this.panelCalcAreaDirection.ResumeLayout(false);
			this.groupCalcDist.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		//------------------------------------------------------------------------------
		//	Event Handlers
		//------------------------------------------------------------------------------

		//	tH[̏
		private void OneWayForm_Load(object sender, System.EventArgs e)
		{
			//	vZp[^IuWFNg̃f[^UIɐݒ肷
			//	[vZݒ]
			//	vZ@
			if (m_COWParam.CalcKind == (Int32)CALCKIND.TIME)
				radioCalcKindTime.Checked = true;	//	ŒZ
			else if (m_COWParam.CalcKind == (Int32)CALCKIND.DIST)
				radioCalcKindDist.Checked = true;	//	ŒZ

			//	Hgp
			if ((m_COWParam.NotUseHiway & (Int32)USEHIGHWAY.NOTUSE) != 0)
				checkUseHighway.Checked = false;	//	Hgp
			else
				checkUseHighway.Checked = true;	    //	Hgp
            //	tF[gpAkCÊ݃tF[gp
            if ((m_COWParam.NotUseHiway & (Int32)USEHIGHWAY.PAYROADFR) != 0) {
                checkUsePayRoadFr.Checked = true;
                checkUseFerry.Checked = true;
            } else {
                checkUsePayRoadFr.Checked = false;
                if ((m_COWParam.NotUseHiway & (Int32)USEHIGHWAY.FERRY) != 0)
                    checkUseFerry.Checked = true;
                else
                    checkUseFerry.Checked = false;
            }
            //@Sgp
            if ((m_COWParam.NotUseHiway & (Int32)USEHIGHWAY.RAILROAD) != 0)
                checkUseRailroad.Checked = true;
            else
                checkUseRailroad.Checked = false;
            //@qgp
            if ((m_COWParam.NotUseHiway & (Int32)USEHIGHWAY.AIRWAY) != 0)
                checkUseAirway.Checked = true;
            else
                checkUseAirway.Checked = false;
            //@qDgp
            if ((m_COWParam.NotUseHiway & (Int32)USEHIGHWAY.SHIP) != 0)
                checkUseShip.Checked = true;
            else
                checkUseShip.Checked = false;

			//	[B/vZݒ]
            //	vZ
            if (m_COWParam.AreaDirection == (Int32)AREADIRECTION.OUTFLOW)
                radioCalcAreaDirectionOutflow.Checked = true;	                    //	BvZ
            else if (m_COWParam.AreaDirection == (Int32)AREADIRECTION.INFLOW)
                radioCalcAreaDirectionInflow.Checked = true;	                    //	vZ
			//	vZ & vZ͈
			if (m_COWParam.AreaKind == (Int32)AREAKIND.TIME) {
				radioCalcAreaRimitTime.Checked = true;	                            //	
				textCalcAreaRange.Text = (m_COWParam.AreaRange / 600).ToString();	//	Pʂɕϊ
			} else if (m_COWParam.AreaKind == (Int32)AREAKIND.DIST) {
				radioCalcAreaRimitDist.Checked = true;	                            //	
                textCalcAreaRange.Text = (m_COWParam.AreaRange / 1000).ToString();	//	kmPʂɕϊ
			}
		}

		//	vZp[^̃f[^XV
		private void AreaForm_Closing(object sender, System.ComponentModel.CancelEventArgs e)
		{
			Int32 calcAreaRange;	//	l`FbN̂߂̃obt@

			//	OK{^gpĕ悤ƂĂ邩H
			if (DialogResult == DialogResult.OK) {
				//	UI̓͒l̃`FbNs
				try {
					//	lƂĕ]łl͂ꂽH
					calcAreaRange = Convert.ToInt32(textCalcAreaRange.Text);
				} catch (Exception ex) {
					MessageBox.Show(ex.Message + "\r\n" + "vZ͈͂̓͒lsȒlłB19999܂ł̐͂ĂB", "x", 
					MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
					e.Cancel = true;	//	_CAO͕Ȃ
					return;
				}
				//	vZ͈͓H
				if ((calcAreaRange < CALC_RANGE_MIN) || (calcAreaRange > CALC_RANGE_MAX)) {
					MessageBox.Show("vZ͈͂̓͒lw͈͊OłB19999܂ł̐͂ĂB", "x", 
					MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
					e.Cancel = true;	//	_CAO͕Ȃ
					return;
				}

				//	UI̐ݒvZp[^IuWFNg̃f[^ɐݒ肷
				//	[vZݒ]
				//	vZ@
				if (radioCalcKindTime.Checked)		//	ŒZ
					m_COWParam.CalcKind = (Int32)CALCKIND.TIME;
				else if (radioCalcKindDist.Checked)	//	ŒZ
					m_COWParam.CalcKind = (Int32)CALCKIND.DIST;

                m_COWParam.NotUseHiway = 0;
                //	Hgp
                if (!checkUseHighway.Checked)
                    m_COWParam.NotUseHiway += (Int32)USEHIGHWAY.NOTUSE;	     //	Hgp
                //	tF[gpAkCÊ݃tF[gp
                if (checkUsePayRoadFr.Checked && checkUseFerry.Checked) {
                    m_COWParam.NotUseHiway += (Int32)USEHIGHWAY.PAYROADFR;
                } else if (checkUseFerry.Checked) {
                    m_COWParam.NotUseHiway += (Int32)USEHIGHWAY.FERRY;
                }
                //	Sgp
                if (checkUseRailroad.Checked)
                    m_COWParam.NotUseHiway += (Int32)USEHIGHWAY.RAILROAD;
                //	qgp
                if (checkUseAirway.Checked)
                    m_COWParam.NotUseHiway += (Int32)USEHIGHWAY.AIRWAY;
                //	qDgp
                if (checkUseShip.Checked)
                    m_COWParam.NotUseHiway += (Int32)USEHIGHWAY.SHIP;

                //	[B/vZݒ]
                //	vZ
                if (radioCalcAreaDirectionOutflow.Checked)
                    m_COWParam.AreaDirection = (Int32)AREADIRECTION.OUTFLOW;	        //	BvZ
                else if (radioCalcAreaDirectionInflow.Checked)
                    m_COWParam.AreaDirection = (Int32)AREADIRECTION.INFLOW;		        //	vZ
				//	vZ & vZ͈
				if (radioCalcAreaRimitTime.Checked) {
					m_COWParam.AreaKind = (Int32)AREAKIND.TIME;				    		//	
					m_COWParam.AreaRange = Int32.Parse(textCalcAreaRange.Text) * 600;	//	0.1bPʂɕϊ
				} else if (radioCalcAreaRimitDist.Checked) {
					m_COWParam.AreaKind = (Int32)AREAKIND.DIST;					    	//	
                    m_COWParam.AreaRange = Int32.Parse(textCalcAreaRange.Text) * 1000;	//	[gPʂɕϊ
				}
			}
		}

		//	uԁvPʂ̕\ɂ
		private void radioAreaKindTime_CheckedChanged(object sender, System.EventArgs e)
		{
			labelCalcAreaRangeDigit.Text = "";
		}

		//	uvPʂ̕\ɂ
		private void radioAreaKindDist_CheckedChanged(object sender, System.EventArgs e)
		{
			labelCalcAreaRangeDigit.Text = "km";
        }

        //@tF[gpɃ`FbNĂƂɖkCA`FbN{bNXgp
        private void checkUseFerry_CheckedChanged(object sender, EventArgs e) {
            if (checkUseFerry.Checked) {
                checkUsePayRoadFr.Enabled = true;
            } else {
                checkUsePayRoadFr.Enabled = false;
                checkUsePayRoadFr.Checked = false;
            }
        }
	}
}

//	End of Source

