//------------------------------------------------------------------------------
// 
//	ACTvZT[rX TvvO
//	[gvZ/ŒZ[gvZp[^ݒtH[NX
//
//	Copyrights (c) 2004-2009 Advanced Core Technologies, Inc. All rights reserved.
//
//	2005/03/04 Rev.1.00 RIN  J
//  2009/01/19 Rev.2.0.1.0 ISHI  XV    [_Ή
//
//------------------------------------------------------------------------------

//	Using Namespace
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using ACT.DCWS;

namespace SampleMX
{
	/// <summary>
	/// RouteForm ̊Tv̐łB
	/// </summary>
	/// 

	//	Definition of Class
    public class RouteForm : System.Windows.Forms.Form
    {
        //------------------------------------------------------------------------------
        //	Members
        //------------------------------------------------------------------------------

        //	[Private]
        private DCService.Param m_DCParam;	//	vZp[^NX

        //	[Internal]

        internal System.Windows.Forms.GroupBox groupCalcDist;
        internal System.Windows.Forms.CheckBox checkUseHighway;
        internal System.Windows.Forms.RadioButton radioCalcKindDist;
        internal System.Windows.Forms.RadioButton radioCalcKindTime;
        internal System.Windows.Forms.Label labelCalcKind;
        internal System.Windows.Forms.Button buttonCancel;
        internal System.Windows.Forms.GroupBox groupCalcRoot;
        internal System.Windows.Forms.CheckBox checkTollOutput;
        internal System.Windows.Forms.RadioButton radioRouteKindDetail;
        internal System.Windows.Forms.RadioButton radioRouteKindSimple;
        internal System.Windows.Forms.CheckBox checkShowRoute;
        internal System.Windows.Forms.CheckBox checkTrdsOutput;
        internal System.Windows.Forms.CheckBox checkRnsOutput;
        internal System.Windows.Forms.CheckBox checkHighwayOutput;
        internal System.Windows.Forms.Button buttonOK;
        internal System.Windows.Forms.CheckBox checkUseAirway;
        internal System.Windows.Forms.CheckBox checkUseRailroad;
        internal System.Windows.Forms.CheckBox checkUseShip;
        internal System.Windows.Forms.CheckBox checkUsePayRoadFr;
        internal System.Windows.Forms.CheckBox checkUseFerry;
        private Label labelModalID;

        //	[Private]

        /// <summary>
        /// KvȃfUCiϐłB
        /// </summary>
        private System.ComponentModel.Container components = null;

        //------------------------------------------------------------------------------
        //	Methods
        //------------------------------------------------------------------------------

        //	[Public]

        //	RXgN^
        //	p[^
        //		DCParam	[IN]vZp[^IuWFNg
        public RouteForm(DCService.Param DCParam) {
            //
            // Windows tH[ fUCi T|[gɕKvłB
            //
            InitializeComponent();

            //
            // TODO: InitializeComponent ĂяǒɁARXgN^ R[hǉĂB
            //
            //	ݒ
            m_DCParam = DCParam;
        }

        //	[Protected]

        /// <summary>
        /// gpĂ郊\[XɌ㏈s܂B
        /// </summary>
        protected override void Dispose(bool disposing) {
            if (disposing) {
                if (components != null) {
                    components.Dispose();
                }
            }
            base.Dispose(disposing);
        }

        #region Windows tH[ fUCiŐꂽR[h
        /// <summary>
        /// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
        /// R[h GfB^ŕύXȂłB
        /// </summary>
        private void InitializeComponent() {
			this.groupCalcDist = new System.Windows.Forms.GroupBox();
			this.labelModalID = new System.Windows.Forms.Label();
			this.checkUseShip = new System.Windows.Forms.CheckBox();
			this.checkUsePayRoadFr = new System.Windows.Forms.CheckBox();
			this.checkUseFerry = new System.Windows.Forms.CheckBox();
			this.checkUseAirway = new System.Windows.Forms.CheckBox();
			this.checkUseRailroad = new System.Windows.Forms.CheckBox();
			this.checkUseHighway = new System.Windows.Forms.CheckBox();
			this.radioCalcKindDist = new System.Windows.Forms.RadioButton();
			this.radioCalcKindTime = new System.Windows.Forms.RadioButton();
			this.labelCalcKind = new System.Windows.Forms.Label();
			this.buttonCancel = new System.Windows.Forms.Button();
			this.groupCalcRoot = new System.Windows.Forms.GroupBox();
			this.checkTollOutput = new System.Windows.Forms.CheckBox();
			this.radioRouteKindDetail = new System.Windows.Forms.RadioButton();
			this.radioRouteKindSimple = new System.Windows.Forms.RadioButton();
			this.checkShowRoute = new System.Windows.Forms.CheckBox();
			this.checkTrdsOutput = new System.Windows.Forms.CheckBox();
			this.checkRnsOutput = new System.Windows.Forms.CheckBox();
			this.checkHighwayOutput = new System.Windows.Forms.CheckBox();
			this.buttonOK = new System.Windows.Forms.Button();
			this.groupCalcDist.SuspendLayout();
			this.groupCalcRoot.SuspendLayout();
			this.SuspendLayout();
			// 
			// groupCalcDist
			// 
			this.groupCalcDist.Controls.Add(this.labelModalID);
			this.groupCalcDist.Controls.Add(this.checkUseShip);
			this.groupCalcDist.Controls.Add(this.checkUsePayRoadFr);
			this.groupCalcDist.Controls.Add(this.checkUseFerry);
			this.groupCalcDist.Controls.Add(this.checkUseAirway);
			this.groupCalcDist.Controls.Add(this.checkUseRailroad);
			this.groupCalcDist.Controls.Add(this.checkUseHighway);
			this.groupCalcDist.Controls.Add(this.radioCalcKindDist);
			this.groupCalcDist.Controls.Add(this.radioCalcKindTime);
			this.groupCalcDist.Controls.Add(this.labelCalcKind);
			this.groupCalcDist.Location = new System.Drawing.Point(8, 12);
			this.groupCalcDist.Name = "groupCalcDist";
			this.groupCalcDist.Size = new System.Drawing.Size(356, 173);
			this.groupCalcDist.TabIndex = 0;
			this.groupCalcDist.TabStop = false;
			this.groupCalcDist.Text = "vZݒ";
			// 
			// labelModalID
			// 
			this.labelModalID.Location = new System.Drawing.Point(10, 149);
			this.labelModalID.Name = "labelModalID";
			this.labelModalID.Size = new System.Drawing.Size(319, 16);
			this.labelModalID.TabIndex = 11;
			this.labelModalID.Text = "igp\ȗAi͌vZpHf[^ɂĈقȂ܂j";
			this.labelModalID.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// checkUseShip
			// 
			this.checkUseShip.Location = new System.Drawing.Point(12, 130);
			this.checkUseShip.Name = "checkUseShip";
			this.checkUseShip.Size = new System.Drawing.Size(332, 16);
			this.checkUseShip.TabIndex = 8;
			this.checkUseShip.Text = "qDgp(qSgp̏ꍇA}gp)";
			// 
			// checkUsePayRoadFr
			// 
			this.checkUsePayRoadFr.Enabled = false;
			this.checkUsePayRoadFr.Location = new System.Drawing.Point(138, 108);
			this.checkUsePayRoadFr.Name = "checkUsePayRoadFr";
			this.checkUsePayRoadFr.Size = new System.Drawing.Size(166, 16);
			this.checkUsePayRoadFr.TabIndex = 7;
			this.checkUsePayRoadFr.Text = "kCÂݎgp";
			// 
			// checkUseFerry
			// 
			this.checkUseFerry.Location = new System.Drawing.Point(12, 108);
			this.checkUseFerry.Name = "checkUseFerry";
			this.checkUseFerry.Size = new System.Drawing.Size(116, 16);
			this.checkUseFerry.TabIndex = 6;
			this.checkUseFerry.Text = "tF[gp";
			this.checkUseFerry.CheckedChanged += new System.EventHandler(this.checkUseFerry_CheckedChanged);
			// 
			// checkUseAirway
			// 
			this.checkUseAirway.Location = new System.Drawing.Point(12, 86);
			this.checkUseAirway.Name = "checkUseAirway";
			this.checkUseAirway.Size = new System.Drawing.Size(116, 16);
			this.checkUseAirway.TabIndex = 5;
			this.checkUseAirway.Text = "q@gp";
			// 
			// checkUseRailroad
			// 
			this.checkUseRailroad.Location = new System.Drawing.Point(12, 64);
			this.checkUseRailroad.Name = "checkUseRailroad";
			this.checkUseRailroad.Size = new System.Drawing.Size(108, 16);
			this.checkUseRailroad.TabIndex = 4;
			this.checkUseRailroad.Text = "Sgp";
			// 
			// checkUseHighway
			// 
			this.checkUseHighway.Location = new System.Drawing.Point(12, 42);
			this.checkUseHighway.Name = "checkUseHighway";
			this.checkUseHighway.Size = new System.Drawing.Size(335, 16);
			this.checkUseHighway.TabIndex = 3;
			this.checkUseHighway.Text = "Hgp";
			// 
			// radioCalcKindDist
			// 
			this.radioCalcKindDist.Location = new System.Drawing.Point(184, 20);
			this.radioCalcKindDist.Name = "radioCalcKindDist";
			this.radioCalcKindDist.Size = new System.Drawing.Size(80, 16);
			this.radioCalcKindDist.TabIndex = 2;
			this.radioCalcKindDist.Text = "ŒZ";
			// 
			// radioCalcKindTime
			// 
			this.radioCalcKindTime.Checked = true;
			this.radioCalcKindTime.Location = new System.Drawing.Point(100, 20);
			this.radioCalcKindTime.Name = "radioCalcKindTime";
			this.radioCalcKindTime.Size = new System.Drawing.Size(80, 16);
			this.radioCalcKindTime.TabIndex = 1;
			this.radioCalcKindTime.TabStop = true;
			this.radioCalcKindTime.Text = "ŒZ";
			// 
			// labelCalcKind
			// 
			this.labelCalcKind.Location = new System.Drawing.Point(10, 20);
			this.labelCalcKind.Name = "labelCalcKind";
			this.labelCalcKind.Size = new System.Drawing.Size(84, 16);
			this.labelCalcKind.TabIndex = 0;
			this.labelCalcKind.Text = "vZ@";
			this.labelCalcKind.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
			// 
			// buttonCancel
			// 
			this.buttonCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
			this.buttonCancel.Location = new System.Drawing.Point(268, 339);
			this.buttonCancel.Name = "buttonCancel";
			this.buttonCancel.Size = new System.Drawing.Size(96, 24);
			this.buttonCancel.TabIndex = 3;
			this.buttonCancel.Text = "ݾ";
			// 
			// groupCalcRoot
			// 
			this.groupCalcRoot.Controls.Add(this.checkTollOutput);
			this.groupCalcRoot.Controls.Add(this.radioRouteKindDetail);
			this.groupCalcRoot.Controls.Add(this.radioRouteKindSimple);
			this.groupCalcRoot.Controls.Add(this.checkShowRoute);
			this.groupCalcRoot.Controls.Add(this.checkTrdsOutput);
			this.groupCalcRoot.Controls.Add(this.checkRnsOutput);
			this.groupCalcRoot.Controls.Add(this.checkHighwayOutput);
			this.groupCalcRoot.Location = new System.Drawing.Point(8, 191);
			this.groupCalcRoot.Name = "groupCalcRoot";
			this.groupCalcRoot.Size = new System.Drawing.Size(356, 142);
			this.groupCalcRoot.TabIndex = 1;
			this.groupCalcRoot.TabStop = false;
			this.groupCalcRoot.Text = "vZʕ\ݒ";
			// 
			// checkTollOutput
			// 
			this.checkTollOutput.Location = new System.Drawing.Point(12, 44);
			this.checkTollOutput.Name = "checkTollOutput";
			this.checkTollOutput.Size = new System.Drawing.Size(168, 16);
			this.checkTollOutput.TabIndex = 3;
			this.checkTollOutput.Text = "ʍsiLĤ݁j";
			// 
			// radioRouteKindDetail
			// 
			this.radioRouteKindDetail.Location = new System.Drawing.Point(184, 20);
			this.radioRouteKindDetail.Name = "radioRouteKindDetail";
			this.radioRouteKindDetail.Size = new System.Drawing.Size(80, 16);
			this.radioRouteKindDetail.TabIndex = 2;
			this.radioRouteKindDetail.Text = "ڍ׃[g";
			// 
			// radioRouteKindSimple
			// 
			this.radioRouteKindSimple.Checked = true;
			this.radioRouteKindSimple.Location = new System.Drawing.Point(100, 20);
			this.radioRouteKindSimple.Name = "radioRouteKindSimple";
			this.radioRouteKindSimple.Size = new System.Drawing.Size(80, 16);
			this.radioRouteKindSimple.TabIndex = 1;
			this.radioRouteKindSimple.TabStop = true;
			this.radioRouteKindSimple.Text = "ȈՃ[g";
			// 
			// checkShowRoute
			// 
			this.checkShowRoute.Location = new System.Drawing.Point(12, 20);
			this.checkShowRoute.Name = "checkShowRoute";
			this.checkShowRoute.Size = new System.Drawing.Size(84, 16);
			this.checkShowRoute.TabIndex = 0;
			this.checkShowRoute.Text = "[g\";
			this.checkShowRoute.CheckedChanged += new System.EventHandler(this.checkRouteKind_CheckedChanged);
			// 
			// checkTrdsOutput
			// 
			this.checkTrdsOutput.Location = new System.Drawing.Point(12, 116);
			this.checkTrdsOutput.Name = "checkTrdsOutput";
			this.checkTrdsOutput.Size = new System.Drawing.Size(190, 16);
			this.checkTrdsOutput.TabIndex = 6;
			this.checkTrdsOutput.Text = "LH׈ꗗ\";
			// 
			// checkRnsOutput
			// 
			this.checkRnsOutput.Location = new System.Drawing.Point(12, 92);
			this.checkRnsOutput.Name = "checkRnsOutput";
			this.checkRnsOutput.Size = new System.Drawing.Size(190, 16);
			this.checkRnsOutput.TabIndex = 5;
			this.checkRnsOutput.Text = "oRn_ꗗ\";
			// 
			// checkHighwayOutput
			// 
			this.checkHighwayOutput.Location = new System.Drawing.Point(12, 68);
			this.checkHighwayOutput.Name = "checkHighwayOutput";
			this.checkHighwayOutput.Size = new System.Drawing.Size(190, 16);
			this.checkHighwayOutput.TabIndex = 4;
			this.checkHighwayOutput.Text = "HvZʕ\";
			// 
			// buttonOK
			// 
			this.buttonOK.DialogResult = System.Windows.Forms.DialogResult.OK;
			this.buttonOK.Location = new System.Drawing.Point(164, 339);
			this.buttonOK.Name = "buttonOK";
			this.buttonOK.Size = new System.Drawing.Size(96, 24);
			this.buttonOK.TabIndex = 2;
			this.buttonOK.Text = "&OK";
			this.buttonOK.Click += new System.EventHandler(this.buttonOK_Click);
			// 
			// RouteForm
			// 
			this.AcceptButton = this.buttonOK;
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
			this.CancelButton = this.buttonCancel;
			this.ClientSize = new System.Drawing.Size(372, 372);
			this.Controls.Add(this.groupCalcDist);
			this.Controls.Add(this.buttonCancel);
			this.Controls.Add(this.groupCalcRoot);
			this.Controls.Add(this.buttonOK);
			this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
			this.MaximizeBox = false;
			this.MinimizeBox = false;
			this.Name = "RouteForm";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "[gvZ/ŒZ[gvZݒ";
			this.Load += new System.EventHandler(this.RouteForm_Load);
			this.groupCalcDist.ResumeLayout(false);
			this.groupCalcRoot.ResumeLayout(false);
			this.ResumeLayout(false);

		}
        #endregion

        //------------------------------------------------------------------------------
        //	Event Handlers
        //------------------------------------------------------------------------------

        //	tH[̏
        private void RouteForm_Load(object sender, System.EventArgs e) {
            //	vZp[^IuWFNg̃f[^UIɐݒ肷
            //	[vZݒ]
            //	vZ@
            if (m_DCParam.CalcKind == (Int32)CALCKIND.TIME)
                radioCalcKindTime.Checked = true;	//	ŒZ
            else if (m_DCParam.CalcKind == (Int32)CALCKIND.DIST)
                radioCalcKindDist.Checked = true;	//	ŒZ

            //	Hgp
            if ((m_DCParam.NotUseHiway & (Int32)USEHIGHWAY.NOTUSE) != 0)
                checkUseHighway.Checked = false;	//	Hgp
            else
                checkUseHighway.Checked = true;	    //	Hgp
            //	tF[gpAkCÊ݃tF[gp
            if ((m_DCParam.NotUseHiway & (Int32)USEHIGHWAY.PAYROADFR) != 0) {
                checkUsePayRoadFr.Checked = true;
                checkUseFerry.Checked = true;
            } else {
                checkUsePayRoadFr.Checked = false;
                if ((m_DCParam.NotUseHiway & (Int32)USEHIGHWAY.FERRY) != 0)
                    checkUseFerry.Checked = true;
                else
                    checkUseFerry.Checked = false;
            }
            //@Sgp
            if ((m_DCParam.NotUseHiway & (Int32)USEHIGHWAY.RAILROAD) != 0)
                checkUseRailroad.Checked = true;
            else
                checkUseRailroad.Checked = false;
            //@qgp
            if ((m_DCParam.NotUseHiway & (Int32)USEHIGHWAY.AIRWAY) != 0)
                checkUseAirway.Checked = true;
            else
                checkUseAirway.Checked = false;
            //@qDgp
            if ((m_DCParam.NotUseHiway & (Int32)USEHIGHWAY.SHIP) != 0)
                checkUseShip.Checked = true;
            else
                checkUseShip.Checked = false;

            //	[vZʕ\ݒ]
            //	[g\
            if (m_DCParam.PntsOutput == (Int32)PNTSOUTPUT.OUTPUT)
                checkShowRoute.Checked = true;	        //	o
            else if (m_DCParam.PntsOutput == (Int32)PNTSOUTPUT.NOTOUTPUT)
                checkShowRoute.Checked = false;	        //	o
            if (m_DCParam.CalcRoute_RouteKind == (Int32)ROUTEKIND.SIMPLE)
                radioRouteKindSimple.Checked = true;	//	ȈՃ[g
            else if (m_DCParam.CalcRoute_RouteKind == (Int32)ROUTEKIND.DETAIL)
                radioRouteKindDetail.Checked = true;	//	ڍ׃[g
            //	ʍs
            if (m_DCParam.CalcRoute_TollOutput == (Int32)TOLLOUTPUT.OUTPUT)
                checkTollOutput.Checked = true;	        //	\
            else if (m_DCParam.CalcRoute_TollOutput == (Int32)TOLLOUTPUT.NOTOUTPUT)
                checkTollOutput.Checked = false;	    //	\
            //	H
            if (m_DCParam.CalcRoute_HighwayOutput == (Int32)HIGHWAYOUTPUT.OUTPUT)
                checkHighwayOutput.Checked = true;		//	\
            else if (m_DCParam.CalcRoute_HighwayOutput == (Int32)HIGHWAYOUTPUT.NOTOUTPUT)
                checkHighwayOutput.Checked = false;	    //	\
            //	oRn_ꗗ
            if (m_DCParam.RnsOutput == (Int32)RNSOUTPUT.OUTPUT)
                checkRnsOutput.Checked = true;			//	\
            else if (m_DCParam.RnsOutput == (Int32)RNSOUTPUT.NOTOUTPUT)
                checkRnsOutput.Checked = false;			//	\
            //	LH׈ꗗ
            if (m_DCParam.TrdsOutput == (Int32)TRDSOUTPUT.OUTPUT)
                checkTrdsOutput.Checked = true;		    //	\
            else if (m_DCParam.TrdsOutput == (Int32)TRDSOUTPUT.NOTOUTPUT)
                checkTrdsOutput.Checked = false;	    //	\
            //	[g\Rg[֘A Enable 
            if (checkShowRoute.Checked) {
                //	[g\
                radioRouteKindSimple.Enabled = true;
                radioRouteKindDetail.Enabled = true;
            }
            else {
                //	[g\
                radioRouteKindSimple.Enabled = false;
                radioRouteKindDetail.Enabled = false;
            }
        }

        //	l̍XV
        private void buttonOK_Click(object sender, System.EventArgs e) {
            //	UI̐ݒvZp[^IuWFNg̃f[^ɐݒ肷
            //	[vZݒ]
            //	vZ@
            if (radioCalcKindTime.Checked)
                m_DCParam.CalcKind = (Int32)CALCKIND.TIME;	        //	ŒZ
            else if (radioCalcKindDist.Checked)
                m_DCParam.CalcKind = (Int32)CALCKIND.DIST;	        //	ŒZ

            //  m_CAParam.NotUseHiwayɃ`FbN{bNX̒l𔽉f
            m_DCParam.NotUseHiway = 0;
            //	Hgpgp
            if (!checkUseHighway.Checked)
                m_DCParam.NotUseHiway += (Int32)USEHIGHWAY.NOTUSE;	//	Hgp
            //	tF[gpAkCÊ݃tF[gp
            if (checkUsePayRoadFr.Checked && checkUseFerry.Checked) {
                m_DCParam.NotUseHiway += (Int32)USEHIGHWAY.PAYROADFR;
            } else if (checkUseFerry.Checked) {
                m_DCParam.NotUseHiway += (Int32)USEHIGHWAY.FERRY;
            }
            //	Sgp
            if (checkUseRailroad.Checked)
                m_DCParam.NotUseHiway += (Int32)USEHIGHWAY.RAILROAD;
            //	qgp
            if (checkUseAirway.Checked)
                m_DCParam.NotUseHiway += (Int32)USEHIGHWAY.AIRWAY;
            //	qDgp
            if (checkUseShip.Checked)
                m_DCParam.NotUseHiway += (Int32)USEHIGHWAY.SHIP;


            //	[vZʕ\ݒ]
            //	[g\
            if (checkShowRoute.Checked)
                m_DCParam.PntsOutput = (Int32)PNTSOUTPUT.OUTPUT;	                //	o
            else if (!checkShowRoute.Checked)
                m_DCParam.PntsOutput = (Int32)PNTSOUTPUT.NOTOUTPUT;	                //	o
            if (radioRouteKindSimple.Checked)
                m_DCParam.CalcRoute_RouteKind = (Int32)ROUTEKIND.SIMPLE;	        //	ȈՃ[g
            else if (radioRouteKindDetail.Checked)
                m_DCParam.CalcRoute_RouteKind = (Int32)ROUTEKIND.DETAIL;	        //	ڍ׃[g
            //	ʍs
            if (checkTollOutput.Checked)
                m_DCParam.CalcRoute_TollOutput = (Int32)TOLLOUTPUT.OUTPUT;		    //	\
            else if (!checkTollOutput.Checked)
                m_DCParam.CalcRoute_TollOutput = (Int32)TOLLOUTPUT.NOTOUTPUT;	    //	\
            //	vZʕ\
            if (checkHighwayOutput.Checked)
                m_DCParam.CalcRoute_HighwayOutput = (Int32)HIGHWAYOUTPUT.OUTPUT;	//	\
            else if (!checkHighwayOutput.Checked)
                m_DCParam.CalcRoute_HighwayOutput = (Int32)HIGHWAYOUTPUT.NOTOUTPUT;	//	\
            //	oRn_ꗗ
            if (checkRnsOutput.Checked)
                m_DCParam.RnsOutput = (Int32)RNSOUTPUT.OUTPUT;		                //	\
            else if (!checkRnsOutput.Checked)
                m_DCParam.RnsOutput = (Int32)RNSOUTPUT.NOTOUTPUT;	                //	\
            //	LH׈ꗗ
            if (checkTrdsOutput.Checked)
                m_DCParam.TrdsOutput = (Int32)TRDSOUTPUT.OUTPUT;	                //	\
            else if (!checkTrdsOutput.Checked)
                m_DCParam.TrdsOutput = (Int32)TRDSOUTPUT.NOTOUTPUT;	                //	\
        }

        //	[g\Rg[֘A Enable 
        private void checkRouteKind_CheckedChanged(object sender, System.EventArgs e) {
            if (checkShowRoute.Checked) {
                //	[g\
                radioRouteKindSimple.Enabled = true;
                radioRouteKindDetail.Enabled = true;
            }
            else {
                //	[g\
                radioRouteKindSimple.Enabled = false;
                radioRouteKindDetail.Enabled = false;
            }
        }

        //@tF[gpɃ`FbNĂƂɖkCA`FbN{bNXgp
        private void checkUseFerry_CheckedChanged(object sender, EventArgs e) {
            if (checkUseFerry.Checked) {
                checkUsePayRoadFr.Enabled = true;
            } else {
                checkUsePayRoadFr.Enabled = false;
                checkUsePayRoadFr.Checked = false;
            }
        }
    }
}

//	End of Source

