//------------------------------------------------------------------------------
// 
//   ACTvZT[rX TvvO
//   CtH[NX
//
//   Copyrights (c) 2004-2009 Advanced Core Technologies, Inc. All rights reserved.
//
//	2005/03/04 Rev.1.00 RIN J
//  2009/02/09 Rev.2.0.1.0 ISHI [_ΉAB^vZAГꊇvZΉ
//
//------------------------------------------------------------------------------

//	Using Namespace
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;

using ACT.DCWS;

namespace SampleMX
{
	/// <summary>
	/// MainForm ̊Tv̐łB
	/// </summary>
	/// 
	//	Definition of Class
	public class MainForm : System.Windows.Forms.Form
	{
		//------------------------------------------------------------------------------
		//	Constants
		//------------------------------------------------------------------------------

		//	[Private]
		//	X^[gn_
		private const String STARTPOINT_SIGNATURE = " *";							//	ʕ
		private const Int32 STARTPOINT_SIGNATURE_LENGTH = 2;						//	ʕ
		//	c[o[
		//	INDEX
		private const Int32 TOOLBAR_INDEX_POINTSELECT = 0;							//	H_I
		private const Int32 TOOLBAR_INDEX_GRABBER = 2;								//	n}ړ
		private const Int32 TOOLBAR_INDEX_ZOOMIN = 3;								//	g
		private const Int32 TOOLBAR_INDEX_ZOOMOUT = 4;								//	k
		//	Xe[^Xo[
		//	pl
		private const Int32 STATUSBAR_PANEL_SCALE = 0;								//	n}̏k
		private const Int32 STATUSBAR_PANEL_ROAD_NOTE = 1;							//	vZpHf[^
		private const Int32 STATUSBAR_PANEL_STATUS_VIEW = 2;						//	󋵕\
		//	eLXg
		private const String STATUSBAR_TEXT_SCALE = "@kځF ###,###1";		//	n}̏k
		private const String STATUSBAR_TEXT_ROAD_NOTE = "@vZpHf[^F ";	//	vZpHf[^
		private const String STATUSBAR_TEXT_STATUS_VIEW = "@󋵕\F ";			//	󋵕\
		//	INIt@C
		private const String SECTION_NAME_SERVER = "SERVER";						//	ڑT[õZNV
		private const String KEY_NAME_SERVER_USERID = "SERVER_USERID";				//	ڑT[o USERID ̃L[
		private const String SERVER_USERID_DEFAULT = "";							//	ڑT[o USERID ̃ftHgl
		private const String KEY_NAME_DCADMIN_URL = "DCADMIN_URL";					//	ǗT[o URL ̃L[
		private const String DCADMIN_URL_DEFAULT = 
		"http://distcalc.act-inc.co.jp/DCADMIN/Admin.asmx";							//	ǗT[o URL ̃ftHgl
		//	Mapple X WXg
		private const String REGISTORY_KEY_MAIN_MAPPLEX = 
		"SOFTWARE\\Shobunsha\\Product Keys";										//	WXgL[
		private const String REGISTORY_COMPARE_STRING_MAPPLEX =
		"MPX";																		//	WXg(For Install Check)
		private const Int32 REGISTORY_COMPARE_LENGTH_MAPPLEX = 3;					//	WXg(For Install Check)
		//	ftHgl
		private const Int32 POLYGON_LEVEL_DEFAULT = -1;								//	ȈՌ^|SxŒl
		private const Int32 TIME_RANGE_DEFAULT = 10 * 600;							//	B 10 (0.1bP)
        private const Int32 DONUT_POLYGON_LEVEL_DEFAULT = -2;						//	h[ic|SxŒl

		//------------------------------------------------------------------------------
		//	Members
		//------------------------------------------------------------------------------

		//	[Private]

		private DCService.ACTDCWS m_ACTDCWS =  new DCService.ACTDCWS();			//	vZT[oT[rXIuWFNg
		private DCService.DCCommand m_DCCommand = new DCService.DCCommand();	//	vZR}hIuWFNg
		private DCAdmin.NWInfo m_NWInfo = new DCAdmin.NWInfo();					//	vZpHf[^IuWFNg
		private MapSMD m_MapSMD = new MapSMD();									//	MappleX C^tF[XIuWFNg
		private Int32 m_AreaStartPoint;											//	B /  ̃X^[gn_
        private DCService.CAParam m_CAParam = new DCService.CAParam();          //  B^vZpp[^
        private DCService.COWParam m_COWParam = new DCService.COWParam();       //  ГꊇvZpp[^

		private AxMAPPLEXLib.AxMapX MXView;
		private System.Windows.Forms.TabControl TabControl;
		private System.Windows.Forms.ToolBar ToolBar;
		private System.Windows.Forms.StatusBar StatusBar;
		private System.Windows.Forms.MenuItem MenuFile;
		private System.Windows.Forms.MenuItem MenuFileAppEnd;
		private System.Windows.Forms.MenuItem MenuView;
		private System.Windows.Forms.MenuItem MenuViewGrabber;
		private System.Windows.Forms.MenuItem MenuViewZoomIn;
		private System.Windows.Forms.MenuItem MenuViewZoomOut;
		private System.Windows.Forms.MenuItem MenuViewTextLevel;
		private System.Windows.Forms.MenuItem MenuEdit;
		private System.Windows.Forms.MenuItem MenuEditClearNodes;
		private System.Windows.Forms.MenuItem MenuCalc;
		private System.Windows.Forms.MenuItem MenuCalcRoute;
		private System.Windows.Forms.MenuItem MenuCalcOptRoute;
		private System.Windows.Forms.MenuItem MenuHelp;
		private System.Windows.Forms.MenuItem MenuHelpVersion;
		private System.Windows.Forms.MenuItem MenuSeparator1;
		private System.Windows.Forms.MenuItem MenuSeparator2;
		private System.Windows.Forms.MainMenu MainMenu;
		private System.Windows.Forms.ImageList ImageList;
		private System.Windows.Forms.ToolBarButton ToolBarButtonPointSelect;
		private System.Windows.Forms.ToolBarButton ToolBarButtonGrabber;
		private System.Windows.Forms.ToolBarButton ToolBarButtonZoomIn;
		private System.Windows.Forms.ToolBarButton ToolBarButtonZoomOut;
		private System.Windows.Forms.ToolBarButton ToolBarButtonSeparator1;
		private System.Windows.Forms.ToolBarButton ToolBarButtonClearNodes;
		private System.Windows.Forms.ToolBarButton ToolBarButtonSeparator2;
		private System.Windows.Forms.ToolBarButton ToolBarButtonCalcRoute;
		private System.Windows.Forms.ToolBarButton ToolBarButtonCalcOptRoute;
		private System.Windows.Forms.ContextMenu ListViewContextMenu;
		private System.Windows.Forms.TabPage TabPageLocs;
		private System.Windows.Forms.TabPage TabPageRns;
		private System.Windows.Forms.TabPage TabPageTrds;
		private System.Windows.Forms.Splitter Splitter;
		private System.Windows.Forms.MenuItem ContextMenuCalcAreaStartPoint;
		private System.Windows.Forms.ListView ListViewLocs;
		private System.Windows.Forms.ListView ListViewRns;
		private System.Windows.Forms.ListView ListViewTrds;
		private System.Windows.Forms.MenuItem MenuViewClearMap;
		private System.Windows.Forms.MenuItem MenuEditPointSelect;
		private System.Windows.Forms.MenuItem MenuViewJapan;
		private System.Windows.Forms.MenuItem MenuViewLocal1;
		private System.Windows.Forms.MenuItem MenuViewLocal2;
		private System.Windows.Forms.MenuItem MenuViewWide1;
		private System.Windows.Forms.MenuItem MenuViewWide2;
		private System.Windows.Forms.MenuItem MenuViewMiddle1;
		private System.Windows.Forms.MenuItem MenuViewMiddle2;
		private System.Windows.Forms.MenuItem MenuViewDetail1;
		private System.Windows.Forms.MenuItem MenuViewDetail2;
		private System.Windows.Forms.MenuItem MenuViewDetail3;
		private System.Windows.Forms.MenuItem MenuSeparator3;
		private System.Windows.Forms.MenuItem MenuViewTextLevelLarge;
		private System.Windows.Forms.MenuItem MenuViewTextLevelSmall;
		private System.Windows.Forms.MenuItem MenuCalcArea;
		private System.Windows.Forms.ToolBarButton ToolBarButtonSeparator3;
		private System.Windows.Forms.ToolBarButton ToolBarButtonSeparator4;
		private System.Windows.Forms.MenuItem MenuFileRoadSelect;
		private System.Windows.Forms.ToolBarButton ToolBarButtonClearMap;
		private System.Windows.Forms.MenuItem MenuViewScale;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsNo;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsTag;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsNode;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsLon;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsLat;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsDSec;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsTime;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsDist;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsHighwayDSec;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsHighwayTime;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsHighwayDist;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsToll_SS;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsToll_S;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsToll_M;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsToll_L;
		private System.Windows.Forms.ColumnHeader ColumnHeaderLocsToll_LL;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsNo;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsLocFlag;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsLinkFlag;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsNLCode;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsName;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsDSec;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsTime;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsDist;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsToll_SS;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsToll_S;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsToll_M;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsToll_L;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsToll_LL;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsICType;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsLon;
		private System.Windows.Forms.ColumnHeader ColumnHeaderRnsLat;
		private System.Windows.Forms.ColumnHeader ColumnHeaderTrdsNo;
		private System.Windows.Forms.ColumnHeader ColumnHeaderTrdsInRdName;
		private System.Windows.Forms.ColumnHeader ColumnHeaderTrdsInICName;
		private System.Windows.Forms.ColumnHeader ColumnHeaderTrdsOutRdName;
		private System.Windows.Forms.ColumnHeader ColumnHeaderTrdsOutICName;
		private System.Windows.Forms.ColumnHeader ColumnHeaderTrdsToll_SS;
		private System.Windows.Forms.ColumnHeader ColumnHeaderTrdsToll_S;
		private System.Windows.Forms.ColumnHeader ColumnHeaderTrdsToll_M;
		private System.Windows.Forms.ColumnHeader ColumnHeaderTrdsToll_L;
		private System.Windows.Forms.ColumnHeader ColumnHeaderTrdsToll_LL;
		private System.Windows.Forms.ColumnHeader ColumnHeaderTrdsDist;
		private System.Windows.Forms.StatusBarPanel StatusBarPanelScale;
		private System.Windows.Forms.StatusBarPanel StatusBarPanelRoadNote;
		private System.Windows.Forms.StatusBarPanel StatusBarPanelStatusView;
		private System.Windows.Forms.ToolBarButton ToolBarButtonCalcArea;
        private MenuItem MenuCalcOneWay;
        private ToolBarButton toolBarButtonCalcOneWay;
		private System.ComponentModel.IContainer components;

		//------------------------------------------------------------------------------
		//	Methods
		//------------------------------------------------------------------------------

		//	[Public]

		//	RXgN^
		public MainForm()
		{
			//
			// Windows tH[ fUCi T|[gɕKvłB
			//

			//	CZX`FbN
			try 
			{
				InitializeComponent();
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message + "\r\n" + "AvP[VI܂B", 
					"G[", MessageBoxButtons.OK, MessageBoxIcon.Error);
				Application.Exit();	//	AvP[V̏I
			}

			//
			// TODO: InitializeComponent ĂяǒɁARXgN^ R[hǉĂB
			//
		}

		//	[Protected]

		/// <summary>
		/// gpĂ郊\[XɌ㏈s܂B
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows tH[ fUCiŐꂽR[h 
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(MainForm));
			this.MXView = new AxMAPPLEXLib.AxMapX();
			this.TabControl = new System.Windows.Forms.TabControl();
			this.TabPageLocs = new System.Windows.Forms.TabPage();
			this.ListViewLocs = new System.Windows.Forms.ListView();
			this.ColumnHeaderLocsNo = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsTag = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsNode = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsLon = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsLat = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsDSec = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsTime = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsDist = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsHighwayDSec = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsHighwayTime = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsHighwayDist = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsToll_SS = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsToll_S = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsToll_M = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsToll_L = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderLocsToll_LL = new System.Windows.Forms.ColumnHeader();
			this.ListViewContextMenu = new System.Windows.Forms.ContextMenu();
			this.ContextMenuCalcAreaStartPoint = new System.Windows.Forms.MenuItem();
			this.TabPageRns = new System.Windows.Forms.TabPage();
			this.ListViewRns = new System.Windows.Forms.ListView();
			this.ColumnHeaderRnsNo = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsLocFlag = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsLinkFlag = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsNLCode = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsName = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsDSec = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsTime = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsDist = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsToll_SS = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsToll_S = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsToll_M = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsToll_L = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsToll_LL = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsICType = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsLon = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderRnsLat = new System.Windows.Forms.ColumnHeader();
			this.TabPageTrds = new System.Windows.Forms.TabPage();
			this.ListViewTrds = new System.Windows.Forms.ListView();
			this.ColumnHeaderTrdsNo = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderTrdsInRdName = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderTrdsInICName = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderTrdsOutRdName = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderTrdsOutICName = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderTrdsToll_SS = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderTrdsToll_S = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderTrdsToll_M = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderTrdsToll_L = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderTrdsToll_LL = new System.Windows.Forms.ColumnHeader();
			this.ColumnHeaderTrdsDist = new System.Windows.Forms.ColumnHeader();
			this.ToolBar = new System.Windows.Forms.ToolBar();
			this.ToolBarButtonPointSelect = new System.Windows.Forms.ToolBarButton();
			this.ToolBarButtonSeparator1 = new System.Windows.Forms.ToolBarButton();
			this.ToolBarButtonGrabber = new System.Windows.Forms.ToolBarButton();
			this.ToolBarButtonZoomIn = new System.Windows.Forms.ToolBarButton();
			this.ToolBarButtonZoomOut = new System.Windows.Forms.ToolBarButton();
			this.ToolBarButtonSeparator2 = new System.Windows.Forms.ToolBarButton();
			this.ToolBarButtonClearMap = new System.Windows.Forms.ToolBarButton();
			this.ToolBarButtonSeparator3 = new System.Windows.Forms.ToolBarButton();
			this.ToolBarButtonClearNodes = new System.Windows.Forms.ToolBarButton();
			this.ToolBarButtonSeparator4 = new System.Windows.Forms.ToolBarButton();
			this.ToolBarButtonCalcRoute = new System.Windows.Forms.ToolBarButton();
			this.ToolBarButtonCalcOptRoute = new System.Windows.Forms.ToolBarButton();
			this.ToolBarButtonCalcArea = new System.Windows.Forms.ToolBarButton();
			this.toolBarButtonCalcOneWay = new System.Windows.Forms.ToolBarButton();
			this.ImageList = new System.Windows.Forms.ImageList(this.components);
			this.StatusBar = new System.Windows.Forms.StatusBar();
			this.StatusBarPanelScale = new System.Windows.Forms.StatusBarPanel();
			this.StatusBarPanelRoadNote = new System.Windows.Forms.StatusBarPanel();
			this.StatusBarPanelStatusView = new System.Windows.Forms.StatusBarPanel();
			this.MainMenu = new System.Windows.Forms.MainMenu();
			this.MenuFile = new System.Windows.Forms.MenuItem();
			this.MenuFileRoadSelect = new System.Windows.Forms.MenuItem();
			this.MenuFileAppEnd = new System.Windows.Forms.MenuItem();
			this.MenuEdit = new System.Windows.Forms.MenuItem();
			this.MenuEditPointSelect = new System.Windows.Forms.MenuItem();
			this.MenuEditClearNodes = new System.Windows.Forms.MenuItem();
			this.MenuCalc = new System.Windows.Forms.MenuItem();
			this.MenuCalcRoute = new System.Windows.Forms.MenuItem();
			this.MenuCalcOptRoute = new System.Windows.Forms.MenuItem();
			this.MenuCalcArea = new System.Windows.Forms.MenuItem();
			this.MenuCalcOneWay = new System.Windows.Forms.MenuItem();
			this.MenuView = new System.Windows.Forms.MenuItem();
			this.MenuViewGrabber = new System.Windows.Forms.MenuItem();
			this.MenuViewZoomIn = new System.Windows.Forms.MenuItem();
			this.MenuViewZoomOut = new System.Windows.Forms.MenuItem();
			this.MenuSeparator1 = new System.Windows.Forms.MenuItem();
			this.MenuViewScale = new System.Windows.Forms.MenuItem();
			this.MenuViewJapan = new System.Windows.Forms.MenuItem();
			this.MenuViewLocal1 = new System.Windows.Forms.MenuItem();
			this.MenuViewLocal2 = new System.Windows.Forms.MenuItem();
			this.MenuViewWide1 = new System.Windows.Forms.MenuItem();
			this.MenuViewWide2 = new System.Windows.Forms.MenuItem();
			this.MenuViewMiddle1 = new System.Windows.Forms.MenuItem();
			this.MenuViewMiddle2 = new System.Windows.Forms.MenuItem();
			this.MenuViewDetail1 = new System.Windows.Forms.MenuItem();
			this.MenuViewDetail2 = new System.Windows.Forms.MenuItem();
			this.MenuViewDetail3 = new System.Windows.Forms.MenuItem();
			this.MenuSeparator2 = new System.Windows.Forms.MenuItem();
			this.MenuViewTextLevel = new System.Windows.Forms.MenuItem();
			this.MenuViewTextLevelLarge = new System.Windows.Forms.MenuItem();
			this.MenuViewTextLevelSmall = new System.Windows.Forms.MenuItem();
			this.MenuSeparator3 = new System.Windows.Forms.MenuItem();
			this.MenuViewClearMap = new System.Windows.Forms.MenuItem();
			this.MenuHelp = new System.Windows.Forms.MenuItem();
			this.MenuHelpVersion = new System.Windows.Forms.MenuItem();
			this.Splitter = new System.Windows.Forms.Splitter();
			((System.ComponentModel.ISupportInitialize)(this.MXView)).BeginInit();
			this.TabControl.SuspendLayout();
			this.TabPageLocs.SuspendLayout();
			this.TabPageRns.SuspendLayout();
			this.TabPageTrds.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanelScale)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanelRoadNote)).BeginInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanelStatusView)).BeginInit();
			this.SuspendLayout();
			// 
			// MXView
			// 
			this.MXView.Dock = System.Windows.Forms.DockStyle.Fill;
			this.MXView.Location = new System.Drawing.Point(0, 33);
			this.MXView.Name = "MXView";
			this.MXView.OcxState = ((System.Windows.Forms.AxHost.State)(resources.GetObject("MXView.OcxState")));
			this.MXView.Size = new System.Drawing.Size(912, 385);
			this.MXView.TabIndex = 0;
			this.MXView.MapLButtonDblClk += new AxMAPPLEXLib._DMapXEvents_MapLButtonDblClkEventHandler(this.MXView_MapLButtonDblClk);
			this.MXView.MapLButtonUp += new AxMAPPLEXLib._DMapXEvents_MapLButtonUpEventHandler(this.MXView_MapLButtonUp);
			this.MXView.MapLButtonDown += new AxMAPPLEXLib._DMapXEvents_MapLButtonDownEventHandler(this.MXView_MapLButtonDown);
			this.MXView.ContextMenuClick += new AxMAPPLEXLib._DMapXEvents_ContextMenuClickEventHandler(this.MXView_ContextMenuClick);
			// 
			// TabControl
			// 
			this.TabControl.Controls.Add(this.TabPageLocs);
			this.TabControl.Controls.Add(this.TabPageRns);
			this.TabControl.Controls.Add(this.TabPageTrds);
			this.TabControl.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.TabControl.Location = new System.Drawing.Point(0, 418);
			this.TabControl.Name = "TabControl";
			this.TabControl.SelectedIndex = 0;
			this.TabControl.Size = new System.Drawing.Size(912, 272);
			this.TabControl.TabIndex = 3;
			// 
			// TabPageLocs
			// 
			this.TabPageLocs.Controls.Add(this.ListViewLocs);
			this.TabPageLocs.Location = new System.Drawing.Point(4, 21);
			this.TabPageLocs.Name = "TabPageLocs";
			this.TabPageLocs.Size = new System.Drawing.Size(904, 247);
			this.TabPageLocs.TabIndex = 0;
			this.TabPageLocs.Text = "@v Z  ʁ@";
			// 
			// ListViewLocs
			// 
			this.ListViewLocs.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.ListViewLocs.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																						   this.ColumnHeaderLocsNo,
																						   this.ColumnHeaderLocsTag,
																						   this.ColumnHeaderLocsNode,
																						   this.ColumnHeaderLocsLon,
																						   this.ColumnHeaderLocsLat,
																						   this.ColumnHeaderLocsDSec,
																						   this.ColumnHeaderLocsTime,
																						   this.ColumnHeaderLocsDist,
																						   this.ColumnHeaderLocsHighwayDSec,
																						   this.ColumnHeaderLocsHighwayTime,
																						   this.ColumnHeaderLocsHighwayDist,
																						   this.ColumnHeaderLocsToll_SS,
																						   this.ColumnHeaderLocsToll_S,
																						   this.ColumnHeaderLocsToll_M,
																						   this.ColumnHeaderLocsToll_L,
																						   this.ColumnHeaderLocsToll_LL});
			this.ListViewLocs.ContextMenu = this.ListViewContextMenu;
			this.ListViewLocs.FullRowSelect = true;
			this.ListViewLocs.Location = new System.Drawing.Point(2, 3);
			this.ListViewLocs.MultiSelect = false;
			this.ListViewLocs.Name = "ListViewLocs";
			this.ListViewLocs.Size = new System.Drawing.Size(900, 240);
			this.ListViewLocs.TabIndex = 0;
			this.ListViewLocs.View = System.Windows.Forms.View.Details;
			this.ListViewLocs.DoubleClick += new System.EventHandler(this.listViewLocs_DoubleClick);
			// 
			// ColumnHeaderLocsNo
			// 
			this.ColumnHeaderLocsNo.Text = "n_No.";
			// 
			// ColumnHeaderLocsTag
			// 
			this.ColumnHeaderLocsTag.Text = "Tag";
			// 
			// ColumnHeaderLocsNode
			// 
			this.ColumnHeaderLocsNode.Text = "ɰރR[h";
			this.ColumnHeaderLocsNode.Width = 120;
			// 
			// ColumnHeaderLocsLon
			// 
			this.ColumnHeaderLocsLon.Text = "ox";
			this.ColumnHeaderLocsLon.Width = 120;
			// 
			// ColumnHeaderLocsLat
			// 
			this.ColumnHeaderLocsLat.Text = "ܓx";
			this.ColumnHeaderLocsLat.Width = 120;
			// 
			// ColumnHeaderLocsDSec
			// 
			this.ColumnHeaderLocsDSec.Text = "v(0.1b)";
			this.ColumnHeaderLocsDSec.Width = 98;
			// 
			// ColumnHeaderLocsTime
			// 
			this.ColumnHeaderLocsTime.Text = "v()";
			this.ColumnHeaderLocsTime.Width = 83;
			// 
			// ColumnHeaderLocsDist
			// 
			this.ColumnHeaderLocsDist.Text = "̂(m)";
			this.ColumnHeaderLocsDist.Width = 62;
			// 
			// ColumnHeaderLocsHighwayDSec
			// 
			this.ColumnHeaderLocsHighwayDSec.Text = "v(0.1b)";
			this.ColumnHeaderLocsHighwayDSec.Width = 120;
			// 
			// ColumnHeaderLocsHighwayTime
			// 
			this.ColumnHeaderLocsHighwayTime.Text = "v()";
			this.ColumnHeaderLocsHighwayTime.Width = 120;
			// 
			// ColumnHeaderLocsHighwayDist
			// 
			this.ColumnHeaderLocsHighwayDist.Text = "̂(m)";
			this.ColumnHeaderLocsHighwayDist.Width = 90;
			// 
			// ColumnHeaderLocsToll_SS
			// 
			this.ColumnHeaderLocsToll_SS.Text = "֥y(SS)";
			this.ColumnHeaderLocsToll_SS.Width = 100;
			// 
			// ColumnHeaderLocsToll_S
			// 
			this.ColumnHeaderLocsToll_S.Text = "ʗ(S)";
			this.ColumnHeaderLocsToll_S.Width = 100;
			// 
			// ColumnHeaderLocsToll_M
			// 
			this.ColumnHeaderLocsToll_M.Text = "^(M)";
			this.ColumnHeaderLocsToll_M.Width = 100;
			// 
			// ColumnHeaderLocsToll_L
			// 
			this.ColumnHeaderLocsToll_L.Text = "^(L)";
			this.ColumnHeaderLocsToll_L.Width = 100;
			// 
			// ColumnHeaderLocsToll_LL
			// 
			this.ColumnHeaderLocsToll_LL.Text = "嗿(LL)";
			this.ColumnHeaderLocsToll_LL.Width = 100;
			// 
			// ListViewContextMenu
			// 
			this.ListViewContextMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																								this.ContextMenuCalcAreaStartPoint});
			// 
			// ContextMenuCalcAreaStartPoint
			// 
			this.ContextMenuCalcAreaStartPoint.Index = 0;
			this.ContextMenuCalcAreaStartPoint.Text = "B^vZAГꊇvZ̒Sn_Ɏw";
			this.ContextMenuCalcAreaStartPoint.Click += new System.EventHandler(this.ContextMenuCalcAreaStartPoint_Click);
			// 
			// TabPageRns
			// 
			this.TabPageRns.Controls.Add(this.ListViewRns);
			this.TabPageRns.Location = new System.Drawing.Point(4, 21);
			this.TabPageRns.Name = "TabPageRns";
			this.TabPageRns.Size = new System.Drawing.Size(904, 247);
			this.TabPageRns.TabIndex = 1;
			this.TabPageRns.Text = "oRn_ꗗ";
			// 
			// ListViewRns
			// 
			this.ListViewRns.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.ListViewRns.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																						  this.ColumnHeaderRnsNo,
																						  this.ColumnHeaderRnsLocFlag,
																						  this.ColumnHeaderRnsLinkFlag,
																						  this.ColumnHeaderRnsNLCode,
																						  this.ColumnHeaderRnsName,
																						  this.ColumnHeaderRnsDSec,
																						  this.ColumnHeaderRnsTime,
																						  this.ColumnHeaderRnsDist,
																						  this.ColumnHeaderRnsToll_SS,
																						  this.ColumnHeaderRnsToll_S,
																						  this.ColumnHeaderRnsToll_M,
																						  this.ColumnHeaderRnsToll_L,
																						  this.ColumnHeaderRnsToll_LL,
																						  this.ColumnHeaderRnsICType,
																						  this.ColumnHeaderRnsLon,
																						  this.ColumnHeaderRnsLat});
			this.ListViewRns.Location = new System.Drawing.Point(2, 3);
			this.ListViewRns.Name = "ListViewRns";
			this.ListViewRns.Size = new System.Drawing.Size(900, 240);
			this.ListViewRns.TabIndex = 0;
			this.ListViewRns.View = System.Windows.Forms.View.Details;
			// 
			// ColumnHeaderRnsNo
			// 
			this.ColumnHeaderRnsNo.Text = "No.";
			// 
			// ColumnHeaderRnsLocFlag
			// 
			this.ColumnHeaderRnsLocFlag.Text = "P[VtO";
			this.ColumnHeaderRnsLocFlag.Width = 90;
			// 
			// ColumnHeaderRnsLinkFlag
			// 
			this.ColumnHeaderRnsLinkFlag.Text = "NtO";
			this.ColumnHeaderRnsLinkFlag.Width = 70;
			// 
			// ColumnHeaderRnsNLCode
			// 
			this.ColumnHeaderRnsNLCode.Text = "ɰރR[h";
			this.ColumnHeaderRnsNLCode.Width = 120;
			// 
			// ColumnHeaderRnsName
			// 
			this.ColumnHeaderRnsName.Text = "n_";
			this.ColumnHeaderRnsName.Width = 140;
			// 
			// ColumnHeaderRnsDSec
			// 
			this.ColumnHeaderRnsDSec.Text = "v(0.1b)";
			this.ColumnHeaderRnsDSec.Width = 98;
			// 
			// ColumnHeaderRnsTime
			// 
			this.ColumnHeaderRnsTime.Text = "v()";
			this.ColumnHeaderRnsTime.Width = 83;
			// 
			// ColumnHeaderRnsDist
			// 
			this.ColumnHeaderRnsDist.Text = "̂(m)";
			this.ColumnHeaderRnsDist.Width = 62;
			// 
			// ColumnHeaderRnsToll_SS
			// 
			this.ColumnHeaderRnsToll_SS.Text = "֥y(SS)";
			this.ColumnHeaderRnsToll_SS.Width = 100;
			// 
			// ColumnHeaderRnsToll_S
			// 
			this.ColumnHeaderRnsToll_S.Text = "ʗ(S)";
			this.ColumnHeaderRnsToll_S.Width = 100;
			// 
			// ColumnHeaderRnsToll_M
			// 
			this.ColumnHeaderRnsToll_M.Text = "^(M)";
			this.ColumnHeaderRnsToll_M.Width = 100;
			// 
			// ColumnHeaderRnsToll_L
			// 
			this.ColumnHeaderRnsToll_L.Text = "^(L)";
			this.ColumnHeaderRnsToll_L.Width = 100;
			// 
			// ColumnHeaderRnsToll_LL
			// 
			this.ColumnHeaderRnsToll_LL.Text = "嗿(LL)";
			this.ColumnHeaderRnsToll_LL.Width = 100;
			// 
			// ColumnHeaderRnsICType
			// 
			this.ColumnHeaderRnsICType.Text = "IC";
			// 
			// ColumnHeaderRnsLon
			// 
			this.ColumnHeaderRnsLon.Text = "ox";
			this.ColumnHeaderRnsLon.Width = 120;
			// 
			// ColumnHeaderRnsLat
			// 
			this.ColumnHeaderRnsLat.Text = "ܓx";
			this.ColumnHeaderRnsLat.Width = 120;
			// 
			// TabPageTrds
			// 
			this.TabPageTrds.Controls.Add(this.ListViewTrds);
			this.TabPageTrds.Location = new System.Drawing.Point(4, 21);
			this.TabPageTrds.Name = "TabPageTrds";
			this.TabPageTrds.Size = new System.Drawing.Size(904, 247);
			this.TabPageTrds.TabIndex = 2;
			this.TabPageTrds.Text = " LH";
			// 
			// ListViewTrds
			// 
			this.ListViewTrds.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
				| System.Windows.Forms.AnchorStyles.Left) 
				| System.Windows.Forms.AnchorStyles.Right)));
			this.ListViewTrds.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
																						   this.ColumnHeaderTrdsNo,
																						   this.ColumnHeaderTrdsInRdName,
																						   this.ColumnHeaderTrdsInICName,
																						   this.ColumnHeaderTrdsOutRdName,
																						   this.ColumnHeaderTrdsOutICName,
																						   this.ColumnHeaderTrdsToll_SS,
																						   this.ColumnHeaderTrdsToll_S,
																						   this.ColumnHeaderTrdsToll_M,
																						   this.ColumnHeaderTrdsToll_L,
																						   this.ColumnHeaderTrdsToll_LL,
																						   this.ColumnHeaderTrdsDist});
			this.ListViewTrds.Location = new System.Drawing.Point(2, 3);
			this.ListViewTrds.Name = "ListViewTrds";
			this.ListViewTrds.Size = new System.Drawing.Size(900, 240);
			this.ListViewTrds.TabIndex = 0;
			this.ListViewTrds.View = System.Windows.Forms.View.Details;
			// 
			// ColumnHeaderTrdsNo
			// 
			this.ColumnHeaderTrdsNo.Text = "No.";
			// 
			// ColumnHeaderTrdsInRdName
			// 
			this.ColumnHeaderTrdsInRdName.Text = "H";
			this.ColumnHeaderTrdsInRdName.Width = 120;
			// 
			// ColumnHeaderTrdsInICName
			// 
			this.ColumnHeaderTrdsInICName.Text = "IC";
			this.ColumnHeaderTrdsInICName.Width = 120;
			// 
			// ColumnHeaderTrdsOutRdName
			// 
			this.ColumnHeaderTrdsOutRdName.Text = "oH";
			this.ColumnHeaderTrdsOutRdName.Width = 120;
			// 
			// ColumnHeaderTrdsOutICName
			// 
			this.ColumnHeaderTrdsOutICName.Text = "oIC";
			this.ColumnHeaderTrdsOutICName.Width = 120;
			// 
			// ColumnHeaderTrdsToll_SS
			// 
			this.ColumnHeaderTrdsToll_SS.Text = "֥y(SS)";
			this.ColumnHeaderTrdsToll_SS.Width = 100;
			// 
			// ColumnHeaderTrdsToll_S
			// 
			this.ColumnHeaderTrdsToll_S.Text = "ʗ(S)";
			this.ColumnHeaderTrdsToll_S.Width = 100;
			// 
			// ColumnHeaderTrdsToll_M
			// 
			this.ColumnHeaderTrdsToll_M.Text = "^(M)";
			this.ColumnHeaderTrdsToll_M.Width = 100;
			// 
			// ColumnHeaderTrdsToll_L
			// 
			this.ColumnHeaderTrdsToll_L.Text = "^(L)";
			this.ColumnHeaderTrdsToll_L.Width = 100;
			// 
			// ColumnHeaderTrdsToll_LL
			// 
			this.ColumnHeaderTrdsToll_LL.Text = "嗿(LL)";
			this.ColumnHeaderTrdsToll_LL.Width = 100;
			// 
			// ColumnHeaderTrdsDist
			// 
			this.ColumnHeaderTrdsDist.Text = "(km)";
			this.ColumnHeaderTrdsDist.Width = 80;
			// 
			// ToolBar
			// 
			this.ToolBar.Appearance = System.Windows.Forms.ToolBarAppearance.Flat;
			this.ToolBar.AutoSize = false;
			this.ToolBar.Buttons.AddRange(new System.Windows.Forms.ToolBarButton[] {
																					   this.ToolBarButtonPointSelect,
																					   this.ToolBarButtonSeparator1,
																					   this.ToolBarButtonGrabber,
																					   this.ToolBarButtonZoomIn,
																					   this.ToolBarButtonZoomOut,
																					   this.ToolBarButtonSeparator2,
																					   this.ToolBarButtonClearMap,
																					   this.ToolBarButtonSeparator3,
																					   this.ToolBarButtonClearNodes,
																					   this.ToolBarButtonSeparator4,
																					   this.ToolBarButtonCalcRoute,
																					   this.ToolBarButtonCalcOptRoute,
																					   this.ToolBarButtonCalcArea,
																					   this.toolBarButtonCalcOneWay});
			this.ToolBar.ButtonSize = new System.Drawing.Size(26, 24);
			this.ToolBar.DropDownArrows = true;
			this.ToolBar.ImageList = this.ImageList;
			this.ToolBar.Location = new System.Drawing.Point(0, 0);
			this.ToolBar.Name = "ToolBar";
			this.ToolBar.ShowToolTips = true;
			this.ToolBar.Size = new System.Drawing.Size(912, 33);
			this.ToolBar.TabIndex = 0;
			this.ToolBar.ButtonClick += new System.Windows.Forms.ToolBarButtonClickEventHandler(this.ToolBar_ButtonClick);
			// 
			// ToolBarButtonPointSelect
			// 
			this.ToolBarButtonPointSelect.ImageIndex = 0;
			this.ToolBarButtonPointSelect.Pushed = true;
			this.ToolBarButtonPointSelect.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			this.ToolBarButtonPointSelect.ToolTipText = "H_I܂";
			// 
			// ToolBarButtonSeparator1
			// 
			this.ToolBarButtonSeparator1.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// ToolBarButtonGrabber
			// 
			this.ToolBarButtonGrabber.ImageIndex = 1;
			this.ToolBarButtonGrabber.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			this.ToolBarButtonGrabber.ToolTipText = "n}ړ܂";
			// 
			// ToolBarButtonZoomIn
			// 
			this.ToolBarButtonZoomIn.ImageIndex = 2;
			this.ToolBarButtonZoomIn.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			this.ToolBarButtonZoomIn.ToolTipText = "n}g債܂";
			// 
			// ToolBarButtonZoomOut
			// 
			this.ToolBarButtonZoomOut.ImageIndex = 3;
			this.ToolBarButtonZoomOut.Style = System.Windows.Forms.ToolBarButtonStyle.ToggleButton;
			this.ToolBarButtonZoomOut.ToolTipText = "n}k܂";
			// 
			// ToolBarButtonSeparator2
			// 
			this.ToolBarButtonSeparator2.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// ToolBarButtonClearMap
			// 
			this.ToolBarButtonClearMap.ImageIndex = 4;
			this.ToolBarButtonClearMap.ToolTipText = "n}̃IuWFNg폜܂";
			// 
			// ToolBarButtonSeparator3
			// 
			this.ToolBarButtonSeparator3.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// ToolBarButtonClearNodes
			// 
			this.ToolBarButtonClearNodes.ImageIndex = 5;
			this.ToolBarButtonClearNodes.ToolTipText = "H_폜܂";
			// 
			// ToolBarButtonSeparator4
			// 
			this.ToolBarButtonSeparator4.Style = System.Windows.Forms.ToolBarButtonStyle.Separator;
			// 
			// ToolBarButtonCalcRoute
			// 
			this.ToolBarButtonCalcRoute.ImageIndex = 6;
			this.ToolBarButtonCalcRoute.ToolTipText = "[gvZs܂";
			// 
			// ToolBarButtonCalcOptRoute
			// 
			this.ToolBarButtonCalcOptRoute.ImageIndex = 7;
			this.ToolBarButtonCalcOptRoute.ToolTipText = "ŒZ[gvZs܂";
			// 
			// ToolBarButtonCalcArea
			// 
			this.ToolBarButtonCalcArea.ImageIndex = 8;
			this.ToolBarButtonCalcArea.ToolTipText = "B/vZs܂";
			// 
			// toolBarButtonCalcOneWay
			// 
			this.toolBarButtonCalcOneWay.ImageIndex = 9;
			this.toolBarButtonCalcOneWay.ToolTipText = "ГꊇvZs܂";
			// 
			// ImageList
			// 
			this.ImageList.ColorDepth = System.Windows.Forms.ColorDepth.Depth24Bit;
			this.ImageList.ImageSize = new System.Drawing.Size(26, 24);
			this.ImageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("ImageList.ImageStream")));
			this.ImageList.TransparentColor = System.Drawing.Color.Silver;
			// 
			// StatusBar
			// 
			this.StatusBar.Location = new System.Drawing.Point(0, 690);
			this.StatusBar.Name = "StatusBar";
			this.StatusBar.Panels.AddRange(new System.Windows.Forms.StatusBarPanel[] {
																						 this.StatusBarPanelScale,
																						 this.StatusBarPanelRoadNote,
																						 this.StatusBarPanelStatusView});
			this.StatusBar.ShowPanels = true;
			this.StatusBar.Size = new System.Drawing.Size(912, 24);
			this.StatusBar.TabIndex = 4;
			// 
			// StatusBarPanelScale
			// 
			this.StatusBarPanelScale.Text = "k";
			this.StatusBarPanelScale.Width = 130;
			// 
			// StatusBarPanelRoadNote
			// 
			this.StatusBarPanelRoadNote.Text = "vZpHf[^";
			this.StatusBarPanelRoadNote.Width = 350;
			// 
			// StatusBarPanelStatusView
			// 
			this.StatusBarPanelStatusView.AutoSize = System.Windows.Forms.StatusBarPanelAutoSize.Spring;
			this.StatusBarPanelStatusView.Text = "󋵕\";
			this.StatusBarPanelStatusView.Width = 416;
			// 
			// MainMenu
			// 
			this.MainMenu.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					 this.MenuFile,
																					 this.MenuEdit,
																					 this.MenuCalc,
																					 this.MenuView,
																					 this.MenuHelp});
			// 
			// MenuFile
			// 
			this.MenuFile.Index = 0;
			this.MenuFile.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					 this.MenuFileRoadSelect,
																					 this.MenuFileAppEnd});
			this.MenuFile.Text = "t@C(&F)";
			// 
			// MenuFileRoadSelect
			// 
			this.MenuFileRoadSelect.Index = 0;
			this.MenuFileRoadSelect.Text = "vZpHf[^I(&R)...";
			this.MenuFileRoadSelect.Click += new System.EventHandler(this.MenuFileRoadSelect_Click);
			// 
			// MenuFileAppEnd
			// 
			this.MenuFileAppEnd.Index = 1;
			this.MenuFileAppEnd.Text = "I(&X)";
			this.MenuFileAppEnd.Click += new System.EventHandler(this.MenuFileAppEnd_Click);
			// 
			// MenuEdit
			// 
			this.MenuEdit.Index = 1;
			this.MenuEdit.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					 this.MenuEditPointSelect,
																					 this.MenuEditClearNodes});
			this.MenuEdit.Text = "H_w(&N)";
			// 
			// MenuEditPointSelect
			// 
			this.MenuEditPointSelect.Checked = true;
			this.MenuEditPointSelect.Index = 0;
			this.MenuEditPointSelect.Text = "H_I(&S)";
			this.MenuEditPointSelect.Click += new System.EventHandler(this.MenuViewMapControl_Click);
			// 
			// MenuEditClearNodes
			// 
			this.MenuEditClearNodes.Index = 1;
			this.MenuEditClearNodes.Text = "H_NA(&C)";
			this.MenuEditClearNodes.Click += new System.EventHandler(this.MenuEditClearNodes_Click);
			// 
			// MenuCalc
			// 
			this.MenuCalc.Index = 2;
			this.MenuCalc.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					 this.MenuCalcRoute,
																					 this.MenuCalcOptRoute,
																					 this.MenuCalcArea,
																					 this.MenuCalcOneWay});
			this.MenuCalc.Text = "vZ(&C)";
			// 
			// MenuCalcRoute
			// 
			this.MenuCalcRoute.Index = 0;
			this.MenuCalcRoute.Text = "[gvZ(&R)...";
			this.MenuCalcRoute.Click += new System.EventHandler(this.MenuCalcRoute_Click);
			// 
			// MenuCalcOptRoute
			// 
			this.MenuCalcOptRoute.Index = 1;
			this.MenuCalcOptRoute.Text = "ŒZ[gvZ(&O)...";
			this.MenuCalcOptRoute.Click += new System.EventHandler(this.MenuCalcRoute_Click);
			// 
			// MenuCalcArea
			// 
			this.MenuCalcArea.Index = 2;
			this.MenuCalcArea.Text = "B/vZ(&A)...";
			this.MenuCalcArea.Click += new System.EventHandler(this.MenuCalcArea_Click);
			// 
			// MenuCalcOneWay
			// 
			this.MenuCalcOneWay.Index = 3;
			this.MenuCalcOneWay.Text = "ГꊇvZ(&W)...";
			this.MenuCalcOneWay.Click += new System.EventHandler(this.MenuCalcOneWay_Click);
			// 
			// MenuView
			// 
			this.MenuView.Index = 3;
			this.MenuView.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					 this.MenuViewGrabber,
																					 this.MenuViewZoomIn,
																					 this.MenuViewZoomOut,
																					 this.MenuSeparator1,
																					 this.MenuViewScale,
																					 this.MenuSeparator2,
																					 this.MenuViewTextLevel,
																					 this.MenuSeparator3,
																					 this.MenuViewClearMap});
			this.MenuView.Text = "\(&V)";
			// 
			// MenuViewGrabber
			// 
			this.MenuViewGrabber.Index = 0;
			this.MenuViewGrabber.RadioCheck = true;
			this.MenuViewGrabber.Text = "n}ړ(&G)";
			this.MenuViewGrabber.Click += new System.EventHandler(this.MenuViewMapControl_Click);
			// 
			// MenuViewZoomIn
			// 
			this.MenuViewZoomIn.Index = 1;
			this.MenuViewZoomIn.RadioCheck = true;
			this.MenuViewZoomIn.Text = "g(&I)";
			this.MenuViewZoomIn.Click += new System.EventHandler(this.MenuViewMapControl_Click);
			// 
			// MenuViewZoomOut
			// 
			this.MenuViewZoomOut.Index = 2;
			this.MenuViewZoomOut.RadioCheck = true;
			this.MenuViewZoomOut.Text = "k(&O)";
			this.MenuViewZoomOut.Click += new System.EventHandler(this.MenuViewMapControl_Click);
			// 
			// MenuSeparator1
			// 
			this.MenuSeparator1.Index = 3;
			this.MenuSeparator1.Text = "-";
			// 
			// MenuViewScale
			// 
			this.MenuViewScale.Index = 4;
			this.MenuViewScale.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																						  this.MenuViewJapan,
																						  this.MenuViewLocal1,
																						  this.MenuViewLocal2,
																						  this.MenuViewWide1,
																						  this.MenuViewWide2,
																						  this.MenuViewMiddle1,
																						  this.MenuViewMiddle2,
																						  this.MenuViewDetail1,
																						  this.MenuViewDetail2,
																						  this.MenuViewDetail3});
			this.MenuViewScale.Text = "k(&S)";
			// 
			// MenuViewJapan
			// 
			this.MenuViewJapan.Index = 0;
			this.MenuViewJapan.Text = "8001";
			this.MenuViewJapan.Click += new System.EventHandler(this.MenuViewScale_Click);
			// 
			// MenuViewLocal1
			// 
			this.MenuViewLocal1.Index = 1;
			this.MenuViewLocal1.Text = "3001";
			this.MenuViewLocal1.Click += new System.EventHandler(this.MenuViewScale_Click);
			// 
			// MenuViewLocal2
			// 
			this.MenuViewLocal2.Index = 2;
			this.MenuViewLocal2.Text = "1501";
			this.MenuViewLocal2.Click += new System.EventHandler(this.MenuViewScale_Click);
			// 
			// MenuViewWide1
			// 
			this.MenuViewWide1.Index = 3;
			this.MenuViewWide1.Text = "201";
			this.MenuViewWide1.Click += new System.EventHandler(this.MenuViewScale_Click);
			// 
			// MenuViewWide2
			// 
			this.MenuViewWide2.Index = 4;
			this.MenuViewWide2.Text = "101";
			this.MenuViewWide2.Click += new System.EventHandler(this.MenuViewScale_Click);
			// 
			// MenuViewMiddle1
			// 
			this.MenuViewMiddle1.Index = 5;
			this.MenuViewMiddle1.Text = "51";
			this.MenuViewMiddle1.Click += new System.EventHandler(this.MenuViewScale_Click);
			// 
			// MenuViewMiddle2
			// 
			this.MenuViewMiddle2.Index = 6;
			this.MenuViewMiddle2.Text = "25番1";
			this.MenuViewMiddle2.Click += new System.EventHandler(this.MenuViewScale_Click);
			// 
			// MenuViewDetail1
			// 
			this.MenuViewDetail1.Index = 7;
			this.MenuViewDetail1.Text = "11";
			this.MenuViewDetail1.Click += new System.EventHandler(this.MenuViewScale_Click);
			// 
			// MenuViewDetail2
			// 
			this.MenuViewDetail2.Index = 8;
			this.MenuViewDetail2.Text = "50001";
			this.MenuViewDetail2.Click += new System.EventHandler(this.MenuViewScale_Click);
			// 
			// MenuViewDetail3
			// 
			this.MenuViewDetail3.Index = 9;
			this.MenuViewDetail3.Text = "25001";
			this.MenuViewDetail3.Click += new System.EventHandler(this.MenuViewScale_Click);
			// 
			// MenuSeparator2
			// 
			this.MenuSeparator2.Index = 5;
			this.MenuSeparator2.Text = "-";
			// 
			// MenuViewTextLevel
			// 
			this.MenuViewTextLevel.Index = 6;
			this.MenuViewTextLevel.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																							  this.MenuViewTextLevelLarge,
																							  this.MenuViewTextLevelSmall});
			this.MenuViewTextLevel.Text = "TCY(&X)";
			// 
			// MenuViewTextLevelLarge
			// 
			this.MenuViewTextLevelLarge.Index = 0;
			this.MenuViewTextLevelLarge.RadioCheck = true;
			this.MenuViewTextLevelLarge.Text = "(&L)";
			this.MenuViewTextLevelLarge.Click += new System.EventHandler(this.MenuViewTextLevelLarge_Click);
			// 
			// MenuViewTextLevelSmall
			// 
			this.MenuViewTextLevelSmall.Checked = true;
			this.MenuViewTextLevelSmall.Index = 1;
			this.MenuViewTextLevelSmall.RadioCheck = true;
			this.MenuViewTextLevelSmall.Text = "(&S)";
			this.MenuViewTextLevelSmall.Click += new System.EventHandler(this.MenuViewTextLevelSmall_Click);
			// 
			// MenuSeparator3
			// 
			this.MenuSeparator3.Index = 7;
			this.MenuSeparator3.Text = "-";
			// 
			// MenuViewClearMap
			// 
			this.MenuViewClearMap.Index = 8;
			this.MenuViewClearMap.Text = "ʃNA(&C)";
			this.MenuViewClearMap.Click += new System.EventHandler(this.MenuViewClearMap_Click);
			// 
			// MenuHelp
			// 
			this.MenuHelp.Index = 4;
			this.MenuHelp.MenuItems.AddRange(new System.Windows.Forms.MenuItem[] {
																					 this.MenuHelpVersion});
			this.MenuHelp.Text = "wv(&H)";
			// 
			// MenuHelpVersion
			// 
			this.MenuHelpVersion.Index = 0;
			this.MenuHelpVersion.Text = "o[W(V)...";
			this.MenuHelpVersion.Click += new System.EventHandler(this.MenuHelpVersion_Click);
			// 
			// Splitter
			// 
			this.Splitter.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
			this.Splitter.Dock = System.Windows.Forms.DockStyle.Bottom;
			this.Splitter.Location = new System.Drawing.Point(0, 410);
			this.Splitter.Name = "Splitter";
			this.Splitter.Size = new System.Drawing.Size(912, 8);
			this.Splitter.TabIndex = 5;
			this.Splitter.TabStop = false;
			// 
			// MainForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
			this.ClientSize = new System.Drawing.Size(912, 714);
			this.Controls.Add(this.Splitter);
			this.Controls.Add(this.MXView);
			this.Controls.Add(this.ToolBar);
			this.Controls.Add(this.TabControl);
			this.Controls.Add(this.StatusBar);
			this.Menu = this.MainMenu;
			this.Name = "MainForm";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "ACTvZT[rX TvvO(MappleX-C#)";
			this.Load += new System.EventHandler(this.MainForm_Load);
			((System.ComponentModel.ISupportInitialize)(this.MXView)).EndInit();
			this.TabControl.ResumeLayout(false);
			this.TabPageLocs.ResumeLayout(false);
			this.TabPageRns.ResumeLayout(false);
			this.TabPageTrds.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanelScale)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanelRoadNote)).EndInit();
			((System.ComponentModel.ISupportInitialize)(this.StatusBarPanelStatusView)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		//	[Entry Point]

		/// <summary>
		/// AvP[ṼC Gg |CgłB
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Microsoft.Win32.RegistryKey SubRegistry;	//	WXgNX
			String[] lpszSubKeyNames;					//	擾TuL[z
			Int32 nSubKeyNameCount;						//	擾TuL[
			bool bSMDExist;								//	Mapple X CXg[tO
			Int32 i;									//	JE^

			bSMDExist = false;	//	݃tȌ

			//	Mapple X CXg[̃`FbN
			SubRegistry = Microsoft.Win32.Registry.LocalMachine.OpenSubKey(REGISTORY_KEY_MAIN_MAPPLEX);	//	I[v
			//	w背WXg͌H
			if (SubRegistry != null) {
				lpszSubKeyNames = SubRegistry.GetSubKeyNames();	//	TuL[擾
				nSubKeyNameCount = lpszSubKeyNames.Length;		//	TuL[̎擾
				for (i = 0; i < nSubKeyNameCount; i++) {
					//	TuL[̐擪͈v邩H
					if (String.Compare(lpszSubKeyNames[i], 0, REGISTORY_COMPARE_STRING_MAPPLEX, 0, 
						REGISTORY_COMPARE_LENGTH_MAPPLEX) == 0) {
						bSMDExist = true;	//	݃tO
						break;				//	[v𔲂
					}
				}
				SubRegistry.Close();		//	N[Y
			}
			//	WXg͌H
			if (!bSMDExist) {
				MessageBox.Show("MappleXCXg[Ă܂B" + "\r\n" + "AvP[VI܂B", "G[", MessageBoxButtons.OK, MessageBoxIcon.Error);
				Application.Exit();	//	AvP[V̏I
				return;
			}

			//	AvP[V̊Jn
			Application.Run(new MainForm());
		}

		//------------------------------------------------------------------------------
		//	Event Handlers
		//------------------------------------------------------------------------------

		//**************************************** Load / Unload ****************************************

		//	tH[̏
		private void MainForm_Load(object sender, System.EventArgs e)
		{
            //  T[rX̃^CAEgl
            m_ACTDCWS.Timeout = 5 * 60 * 1000;

			//	vZR}h\̂̏
			m_DCCommand.Param = new DCService.Param();									//	CX^X̍쐬
			//	[vZݒ]
			m_DCCommand.Param.CalcKind = (Int32)CALCKIND.TIME;							//	ŒZ
			m_DCCommand.Param.NotUseHiway = (Int32)USEHIGHWAY.NOTUSE;					//	Hgp
			//	[vZʕ\ݒ]
			m_DCCommand.Param.CalcRoute_RouteKind = (Int32)ROUTEKIND.SIMPLE;			//	ȈՃ[g
			m_DCCommand.Param.CalcRoute_TollOutput = (Int32)TOLLOUTPUT.OUTPUT;			//	ʍs̎Zo
			m_DCCommand.Param.CalcRoute_HighwayOutput = (Int32)HIGHWAYOUTPUT.NOTOUTPUT;	//	HԂ̔\
			m_DCCommand.Param.RnsOutput = (Int32)RNSOUTPUT.NOTOUTPUT;					//	oRn_ꗗ̔o
			m_DCCommand.Param.TrdsOutput = (Int32)TRDSOUTPUT.NOTOUTPUT;					//	LHׂ̔o
			//	[̑]
			m_DCCommand.Param.PntsOutput = (Int32)PNTSOUTPUT.OUTPUT;					//	|Cg̏o([g\ or |S\)
			m_DCCommand.Param.LocsOutput = (Int32)LOCSOUTPUT.OUTPUT;					//	P[V̏o
            //  B^pp[^̏
            m_CAParam.StartGeoPnt = new DCService.GeoPnt();             //  Sn_
			m_CAParam.CalcKind = (Int32)CALCKIND.TIME;				    //	ŒZ
			m_CAParam.NotUseHiway = (Int32)USEHIGHWAY.NOTUSE;		    //	Hgp
            m_CAParam.AreaDirection = (Int32)AREADIRECTION.OUTFLOW;	    //	BvZ
            m_CAParam.AreaKind = (Int32)AREAKIND.TIME;  			    //	
            m_CAParam.AreaRange = TIME_RANGE_DEFAULT;				    //	10(0.1bP)
            m_CAParam.PolygonLevel = POLYGON_LEVEL_DEFAULT;			    //	ȈՌ^|S
            m_CAParam.DonutPolygonLevel = DONUT_POLYGON_LEVEL_DEFAULT;  //  h[ic|Sx
            //  ГꊇvZpp[^̏
            m_COWParam.StartGeoPnt = new DCService.GeoPnt();            //  Sn_
            m_COWParam.CalcKind = (Int32)CALCKIND.TIME;				    //	ŒZ
            m_COWParam.NotUseHiway = (Int32)USEHIGHWAY.NOTUSE;		    //	Hgp
            m_COWParam.AreaDirection = (Int32)AREADIRECTION.OUTFLOW;	//	BvZ
            m_COWParam.AreaKind = (Int32)AREAKIND.TIME;  			    //	
            m_COWParam.AreaRange = TIME_RANGE_DEFAULT;				    //	10(0.1bP)

			//	ڑf[^INIt@C烍[h
			m_DCCommand.Environ = new DCService.Environ();	//	CX^X̍쐬
			//	USERID
			m_DCCommand.Environ.UserID = IniFile.GetProfileString(SECTION_NAME_SERVER, KEY_NAME_SERVER_USERID, SERVER_USERID_DEFAULT);
			//	ǗT[oURL
			m_DCCommand.Environ.WSUrl = IniFile.GetProfileString(SECTION_NAME_SERVER, KEY_NAME_DCADMIN_URL, 
                                                                 DCADMIN_URL_DEFAULT);

			//	MappleX C^tF[X̏
			m_MapSMD.Initialize(MXView);
			//	Xe[^Xo[̏
			//	n}̏k
			StatusBar.Panels[STATUSBAR_PANEL_SCALE].Text = m_MapSMD.MapScale.ToString(STATUSBAR_TEXT_SCALE);
			//	vZpHf[^
			StatusBar.Panels[STATUSBAR_PANEL_ROAD_NOTE].Text = STATUSBAR_TEXT_ROAD_NOTE;
			//	󋵕\
			StatusBar.Panels[STATUSBAR_PANEL_STATUS_VIEW].Text = STATUSBAR_TEXT_STATUS_VIEW;
		}

		//**************************************** t@C ****************************************

		//	vZpHf[^I
		private void MenuFileRoadSelect_Click(object sender, System.EventArgs e)
		{
			ServerForm frm;			//	ڑT[oݒ_CAO
			System.EventArgs args;	//	CxgCX^X

			frm = new ServerForm(m_DCCommand.Environ, m_NWInfo);	//	CX^X̍쐬

			//	vZpHf[^IEBU[h\
			//	EBU[h̕\Jn
			frm.ShowDialog(this);
			//	{^ꂽH
			if (frm.GetResultButton() == ServerForm.RESULT_BUTTON_UPDATE) {
				//	f[^̍XV
				//	INIt@CփZ[u
				//	USERID
				if (IniFile.WriteProfileString(SECTION_NAME_SERVER, KEY_NAME_SERVER_USERID, m_DCCommand.Environ.UserID) == 0) {
					MessageBox.Show("ڑT[o USERID INIt@Cւ݂̏Ɏs܂B",
						"G[", MessageBoxButtons.OK, MessageBoxIcon.Error);
				}
				//	ǗT[o URL
				if (IniFile.WriteProfileString(SECTION_NAME_SERVER, KEY_NAME_DCADMIN_URL, m_DCCommand.Environ.WSUrl) == 0) {
					MessageBox.Show("ǗT[o URL INIt@Cւ݂̏Ɏs܂B",
						"G[", MessageBoxButtons.OK, MessageBoxIcon.Error);
				}
				//	Xe[^Xo[̍XV
				StatusBar.Panels[STATUSBAR_PANEL_ROAD_NOTE].Text = STATUSBAR_TEXT_ROAD_NOTE + m_NWInfo.Note;	//	vZpHf[^
				StatusBar.Panels[STATUSBAR_PANEL_STATUS_VIEW].Text = STATUSBAR_TEXT_STATUS_VIEW;				//	󋵕\
				//	vZpHf[^ύXɔ
				args = new System.EventArgs();	//	CxgCX^X̍쐬
				MenuEditClearNodes_Click(MenuEditClearNodes, args);	//	H_NA
				MenuViewClearMap_Click(MenuViewClearMap, args);		//	ʃNA
			}
			frm.Dispose();	//	j
		}

		//	AvP[VI
		private void MenuFileAppEnd_Click(object sender, System.EventArgs e)
		{
			Application.Exit();	//	vȌI
		}

		//**************************************** ҏW ****************************************

		//	H_
		private void MenuEditClearNodes_Click(object sender, System.EventArgs e)
		{
			//	IuWFNg蓖ĂĂ邩H
			if (m_DCCommand.Locs != null) {
				m_DCCommand.Locs = null;
			}
			//	ListView ACẽNA
			ListViewLocs.Items.Clear();	//	vZ
            ListViewRns.Items.Clear();	//	oRn_ꗗ
			ListViewTrds.Items.Clear();	//	L񖾍
		}

		//**************************************** \ ****************************************

		//	MappleX̒n}Ɋւ郂[hݒ肷
		private void MenuViewMapControl_Click(object sender, System.EventArgs e)
		{
			//	UI tÕZbg
			//	c[o[{^
			ToolBar.Buttons[TOOLBAR_INDEX_POINTSELECT].Pushed = false;		//	H_I
			ToolBar.Buttons[TOOLBAR_INDEX_GRABBER].Pushed = false;			//	n}ړ
			ToolBar.Buttons[TOOLBAR_INDEX_ZOOMIN].Pushed = false;			//	g
			ToolBar.Buttons[TOOLBAR_INDEX_ZOOMOUT].Pushed = false;			//	k
			//	Cj[
			MenuEditPointSelect.Checked = false;							//	H_I
			MenuViewGrabber.Checked = false;								//	n}ړ
			MenuViewZoomIn.Checked = false;									//	g
			MenuViewZoomOut.Checked = false;								//	k

			//	[hl̐ݒ & UI tO̐ݒ
			if (sender == MenuEditPointSelect) {	//	H_I
				m_MapSMD.MapControl = MapSMD.MAP_CONTROL_POINTSELECT;		//	[hl
				ToolBar.Buttons[TOOLBAR_INDEX_POINTSELECT].Pushed = true;	//	c[o[{^
				MenuEditPointSelect.Checked = true;							//	Cj[
			} else if (sender == MenuViewGrabber) {	//	n}ړ
				m_MapSMD.MapControl = MapSMD.MAP_CONTROL_GRABBER;			//	[hl
				ToolBar.Buttons[TOOLBAR_INDEX_GRABBER].Pushed = true;		//	c[o[{^
				MenuViewGrabber.Checked = true;								//	Cj[
			} else if (sender == MenuViewZoomIn) {	//	g
				m_MapSMD.MapControl = MapSMD.MAP_CONTROL_ZOOMIN;			//	[hl
				ToolBar.Buttons[TOOLBAR_INDEX_ZOOMIN].Pushed = true;		//	c[o[{^
				MenuViewZoomIn.Checked = true;								//	Cj[				
			} else if (sender == MenuViewZoomOut) {	//	k
				m_MapSMD.MapControl = MapSMD.MAP_CONTROL_ZOOMOUT;			//	[hl
				ToolBar.Buttons[TOOLBAR_INDEX_ZOOMOUT].Pushed = true;		//	c[o[{^
				MenuViewZoomOut.Checked = true;								//	Cj[
			}
		}

		//	n}̃IuWFNg
		private void MenuViewClearMap_Click(object sender, System.EventArgs e)
		{
			m_MapSMD.ClearMap();	//	ʃNA
		}

		//	n}̕\kڒlݒ肷
		private void MenuViewScale_Click(object sender, System.EventArgs e)
		{
			//	n}̕\kڒl̐ݒ
			if (sender == MenuViewJapan)
				m_MapSMD.SetScaleforSMD(8000000);	//	k8001
			else if (sender == MenuViewLocal1)
				m_MapSMD.SetScaleforSMD(3000000);	//	k3001
			else if (sender == MenuViewLocal2)
				m_MapSMD.SetScaleforSMD(1500000);	//	k1501
			else if (sender == MenuViewWide1)
				m_MapSMD.SetScaleforSMD(200000);	//	k201
			else if (sender == MenuViewWide2)
				m_MapSMD.SetScaleforSMD(100000);	//	k101
			else if (sender == MenuViewMiddle1)
				m_MapSMD.SetScaleforSMD(50000);		//	k51
			else if (sender == MenuViewMiddle2)
				m_MapSMD.SetScaleforSMD(25000);		//	k25番1
			else if (sender == MenuViewDetail1)
				m_MapSMD.SetScaleforSMD(10000);		//	k11
			else if (sender == MenuViewDetail2)
				m_MapSMD.SetScaleforSMD(5000);		//	k50001
			else if (sender == MenuViewDetail3)
				m_MapSMD.SetScaleforSMD(2500);		//	k25001
			else
				return;								//	ȊO
			//	Xe[^Xo[̍XV
			StatusBar.Panels[STATUSBAR_PANEL_SCALE].Text = m_MapSMD.MapScale.ToString(STATUSBAR_TEXT_SCALE);
		}

		//	TCY̊g
		private void MenuViewTextLevelLarge_Click(object sender, System.EventArgs e)
		{
			//	UI̍XV
			MenuViewTextLevelLarge.Checked = true;		//	
			MenuViewTextLevelSmall.Checked = false;		//	
			//	TCY̕ύX
			m_MapSMD.TextLevel = MapSMD.TEXT_LEVEL_4;	//	x 4
		}

		//	TCY̏k
		private void MenuViewTextLevelSmall_Click(object sender, System.EventArgs e)
		{
			//	UI̍XV
			MenuViewTextLevelLarge.Checked = false;		//	
			MenuViewTextLevelSmall.Checked = true;		//	
			//	TCY̕ύX
			m_MapSMD.TextLevel = MapSMD.TEXT_LEVEL_2;	//	x 2
		}

		//**************************************** vZ ****************************************

		//	[gvZ or ŒZ[gvZs
		private void MenuCalcRoute_Click(object sender, System.EventArgs e)
		{
			RouteForm frm;						//	[gvZ/ŒZ[gvZݒtH[NX
			DCAdmin.ACTDCADMIN DCAdminServer;	//	ǗT[oNX
			DCAdmin.Environ DCAdminEnviron;		//	ǗT[oݒNX
			Cursor preCursor;					//	ޔpJ[\

			//------------------------------------------------------------------------------
			//	vZR}h\̓̔zf[^̃Zbg
			//------------------------------------------------------------------------------

			if (m_DCCommand.Rns != null) {	            //	oRn_ꗗ
				m_DCCommand.Rns = null;					//	e
			}
			if (m_DCCommand.Trds != null) {	            //	LH
				m_DCCommand.Trds = null;				//	e
			}
			if (m_DCCommand.Pnts != null) {	            //	|Cg
				m_DCCommand.Pnts = null;				//	e
			}

			m_DCCommand.ResultMessage = "";				//	ʃbZ[W

			//------------------------------------------------------------------------------
			//	vZR}h̐ݒ
			//------------------------------------------------------------------------------

			if (sender == MenuCalcRoute) {				//	[gvZ
				//	H_͎w肳Ă邩H
				if ((m_DCCommand.Locs == null) || (m_DCCommand.Locs.Length < 2)) {
					MessageBox.Show("n_Q_ȏw肵ĉB", "x", 
						            MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
					return;
				}

				//	R}h
				m_DCCommand.Command = COMMAND.CALCROUTE;	//	[gvZ
			} else if (sender == MenuCalcOptRoute) {	//	ŒZ[gvZ
				//	H_͎w肳Ă邩H
				if ((m_DCCommand.Locs == null) || (m_DCCommand.Locs.Length < 3)) {
					MessageBox.Show("n_R_ȏw肵ĉB", "x", 
						            MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
					return;
				}

				//	R}h
				m_DCCommand.Command = COMMAND.CALCOPTROUTE;	//	ŒZ[gvZ
			}

			//------------------------------------------------------------------------------
			//	ǗT[o狗vZT[o̐ݒ
			//------------------------------------------------------------------------------

			//	CX^X̍쐬
			DCAdminServer = new DCAdmin.ACTDCADMIN();	//	ǗT[oIuWFNg
			DCAdminEnviron = new DCAdmin.Environ();		//	ǗT[oݒIuWFNg
			//	ǗT[oݒ
			try
			{
				DCAdminServer.Url = m_DCCommand.Environ.WSUrl;	//	ǗT[oURL
			}
			catch (Exception ex)
			{
				MessageBox.Show("ǗT[o URL http:// ͂ĂB" + "\r\n" + ex.Message,
					            "G[", MessageBoxButtons.OK, MessageBoxIcon.Error);
				return;
			}
			DCAdminEnviron.UserID = m_DCCommand.Environ.UserID;	//	USERID
			DCAdminEnviron.UUID = m_DCCommand.Environ.UUID;		//	UUID
			try
			{
				//	vZT[o̎擾ɐH
				if (!DCAdminServer.GetUsableDCServer(ref DCAdminEnviron, m_NWInfo)) {
					MessageBox.Show("vZT[o̎擾Ɏs܂B" + "\r\n" + "vZpHf[^I̐ݒmFĂB", 
					    	        "ǗT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);
					return;
				}
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message, "ǗT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);
				return;
			}
			//	vZT[o̐ݒ
			m_ACTDCWS.Url = DCAdminEnviron.WSURL;			//	vZT[oURL
			m_DCCommand.Environ.Host = DCAdminEnviron.Host;	//	XiIPAhX
			m_DCCommand.Environ.Port = DCAdminEnviron.Port;	//	Xi|[gԍ

			//------------------------------------------------------------------------------
			//	vZp[^̐ݒ
			//------------------------------------------------------------------------------

			frm = new RouteForm(m_DCCommand.Param);	//	CX^X쐬
			if (frm.ShowDialog(this) != DialogResult.OK) {	//	\
				frm.Dispose();	//	j
				return;
			}
			frm.Dispose();	//	j

			//------------------------------------------------------------------------------
			//	vZ̎s
			//------------------------------------------------------------------------------

			//	}EXJ[\ҋ@
			preCursor = Cursor.Current;
			Cursor.Current = Cursors.WaitCursor;
			try
			{
				//	vZ̎s
				if (m_ACTDCWS.InvokeService(ref m_DCCommand)) {
					//	vZf[^̒n}ւ̕`
					m_MapSMD.TextColor = m_MapSMD.GetSMDColor(255, 0, 0);				//	n_`̕F ԐF ɐݒ
					m_MapSMD.PointTextFillColor = m_MapSMD.GetSMDColor(255, 255, 0);	//	n_`̃eLXg\̔wiF F ɐݒ
					m_MapSMD.PointIconFillColor = MapSMD.FILL_COLOR_TRANSPARENT;		//	n_`̃ACR\̔wiF F ɐݒ
					m_MapSMD.LineColor = m_MapSMD.GetSMDColor(255, 0, 0);				//	oH`̐F ԐF ɐݒ
					m_MapSMD.DrawDistCalcRoute(m_DCCommand);							//	n}`̎s
					//	ListView ̍XV
					UpdateListViewLocs();	//	vZ
                    UpdateListViewRns();	//	oRn_ꗗ
					UpdateListViewTrds();	//	LH
					//	bZ[Wݒ肳Ă邩H
					if (m_DCCommand.ResultMessage.Length > 0) {
						MessageBox.Show(m_DCCommand.ResultMessage, "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);	//	ResultMessage ̏o
					}
					//	Xe[^Xo[̍XV
					StatusBar.Panels[STATUSBAR_PANEL_STATUS_VIEW].Text = STATUSBAR_TEXT_STATUS_VIEW + 
					                                                     "vZT[oURL " + m_ACTDCWS.Url + " " + 
					                                                     "XiIPAhX " + m_DCCommand.Environ.Host + " " + 
					                                                     "|[gԍ " + m_DCCommand.Environ.Port.ToString() + " " + 
					                                                     "擾܂";
				} else {
					if (m_DCCommand.Command == COMMAND.CALCROUTE) {				//	[gvZ
						MessageBox.Show("[gvZɎs܂B" + "\r\n" + m_DCCommand.ResultMessage, 
									    "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);
					} else if (m_DCCommand.Command == COMMAND.CALCOPTROUTE) {	//	ŒZ[gvZ
						MessageBox.Show("ŒZ[gvZɎs܂B" + "\r\n" + m_DCCommand.ResultMessage, 
									    "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);
					}
					//	Xe[^Xo[̍XV
					StatusBar.Panels[STATUSBAR_PANEL_STATUS_VIEW].Text = STATUSBAR_TEXT_STATUS_VIEW + 
						                                                 "vZT[oURL " + m_ACTDCWS.Url + " " + 
						                                                 "XiIPAhX " + m_DCCommand.Environ.Host + " " + 
						                                                 "|[gԍ " + m_DCCommand.Environ.Port.ToString() + " " + 
						                                                 "̎擾Ɏs";
				}
			}
			catch (Exception ex)
			{
				MessageBox.Show(ex.Message, "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);	//	ObZ[W̏o
				//	Xe[^Xo[̍XV
				StatusBar.Panels[STATUSBAR_PANEL_STATUS_VIEW].Text = STATUSBAR_TEXT_STATUS_VIEW + 
					                                                 "vZT[oURL " + m_ACTDCWS.Url + " " + 
					                                                 "XiIPAhX " + m_DCCommand.Environ.Host + " " + 
					                                                 "|[gԍ " + m_DCCommand.Environ.Port.ToString() + " " + 
					                                                 "̎擾Ɏs";
			}

			//	}EXJ[\ɖ߂
			Cursor.Current = preCursor;

		}

        //	BvZ or vZs
        private void MenuCalcArea_Click(object sender, EventArgs e) {

            //------------------------------------------------------------------------------
            //	vZR}h\̓̔zf[^̃Zbg
            //------------------------------------------------------------------------------

            if (m_DCCommand.Rns != null) {	            //	oRn_ꗗ
                m_DCCommand.Rns = null;					//	e
            }
            if (m_DCCommand.Trds != null) {	            //	LH
                m_DCCommand.Trds = null;				//	e
            }
            if (m_DCCommand.Pnts != null) {	            //	|Cg
                m_DCCommand.Pnts = null;				//	e
            }

            //------------------------------------------------------------------------------
            //	ʂ̋vZf[^̐ݒ
            //------------------------------------------------------------------------------

            //	X^[gn_w肳Ă邩H
            if (m_DCCommand.Locs == null) {
                MessageBox.Show("n_w肵ĉB", "x", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }

            //	n_f[^
            m_CAParam.StartGeoPnt.SearchString = Convert.ToString(0);             //	m[h
            m_CAParam.StartGeoPnt.Lon = m_DCCommand.Locs[m_AreaStartPoint].Lon;   //	ox
            m_CAParam.StartGeoPnt.Lat = m_DCCommand.Locs[m_AreaStartPoint].Lat;   //	ܓx

            //------------------------------------------------------------------------------
            //	ǗT[o狗vZT[o̐ݒ
            //------------------------------------------------------------------------------

            DCAdmin.ACTDCADMIN dcAdminServer;	                //	ǗT[oNX
            DCAdmin.Environ dcAdminEnviron;	                    //	ǗT[oݒNX

            //	CX^X̍쐬
            dcAdminServer = new DCAdmin.ACTDCADMIN();	        //	ǗT[oIuWFNg
            dcAdminEnviron = new DCAdmin.Environ();		        //	ǗT[oݒIuWFNg
            //	ǗT[oݒ
            try {
                dcAdminServer.Url = m_DCCommand.Environ.WSUrl;	//	ǗT[oURL
            } catch (Exception ex) {
                MessageBox.Show("ǗT[o URL http:// ͂ĂB" + "\r\n" + ex.Message,
                                "G[", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            dcAdminEnviron.UserID = m_DCCommand.Environ.UserID;	//	USERID
            dcAdminEnviron.UUID = m_DCCommand.Environ.UUID;		//	UUID
            try {
                //	vZT[o̎擾ɐH
                if (!dcAdminServer.GetUsableDCServer(ref dcAdminEnviron, m_NWInfo)) {
                    MessageBox.Show("vZT[o̎擾Ɏs܂B" + "\r\n" + "vZpHf[^I̐ݒmFĂB",
                                    "ǗT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);
                    return;
                }
            } catch (Exception ex) {
                MessageBox.Show(ex.Message, "ǗT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            //	vZT[o̐ݒ
            m_ACTDCWS.Url = dcAdminEnviron.WSURL;			    //	vZT[oURL
            m_DCCommand.Environ.Host = dcAdminEnviron.Host;	    //	XiIPAhX
            m_DCCommand.Environ.Port = dcAdminEnviron.Port;	    //	Xi|[gԍ

            //------------------------------------------------------------------------------
            //	vZp[^̐ݒ
            //------------------------------------------------------------------------------

            AreaForm form;					                //	B/vZݒtH[NX
            form = new AreaForm(m_CAParam);	                //	CX^X쐬
            if (form.ShowDialog(this) != DialogResult.OK) {	//	\
                form.Dispose();	                            //	j
                return;
            }
            form.Dispose();	                                //	j

            //------------------------------------------------------------------------------
            //	vZʎ󂯎p̕ϐݒ
            //------------------------------------------------------------------------------

            DCService.Pnt[] points = null;		//  P[V\̂̔z
            DCService.NWInfo nwInfo = null;		//  vZpHf[^\

            //------------------------------------------------------------------------------
            //	vZ̎s
            //------------------------------------------------------------------------------  

            //	}EXJ[\ҋ@
            Cursor preCursor;                   //	ޔpJ[\
            preCursor = Cursor.Current;
            Cursor.Current = Cursors.WaitCursor;

            try {
                int resultCode;                 //  vŽʃR[h
                //	vZ̎s
                resultCode = m_ACTDCWS.CalcArea(m_DCCommand.Environ, m_CAParam, ref points, ref nwInfo);
                if (resultCode == 0) {          //  
                    //  vZʔf
                    m_DCCommand.Pnts = points;
                    m_DCCommand.NWInfo = nwInfo;

                    //	vZf[^̒n}ւ̕`
                    m_MapSMD.TextColor = m_MapSMD.GetSMDColor(255, 0, 0);				//	n_`̕F ԐF ɐݒ
                    m_MapSMD.PointTextFillColor = m_MapSMD.GetSMDColor(255, 255, 0);	//	n_`̃eLXg\̔wiF F ɐݒ
                    m_MapSMD.PointIconFillColor = MapSMD.FILL_COLOR_TRANSPARENT;		//	n_`̃ACR\̔wiF F ɐݒ
                    m_MapSMD.LineColor = m_MapSMD.GetSMDColor(0, 0, 255);				//	|S`̐F F ɐݒ
                    m_MapSMD.PolygonFillColor = MapSMD.FILL_COLOR_TRANSPARENT;			//	|S`̓F F ɐݒ
                    m_MapSMD.DrawDistCalcArea(points, m_CAParam.StartGeoPnt);			//	n}`̎s

                    //	ListView ̍XV
                    UpdateListViewLocs();	    //	vZ
                    UpdateListViewRns();	    //	oRn_ꗗ
                    UpdateListViewTrds();	    //	L񖾍

                    //	Xe[^Xo[̍XV
                    StatusBar.Panels[STATUSBAR_PANEL_STATUS_VIEW].Text = STATUSBAR_TEXT_STATUS_VIEW +
                                                                         "vZT[oURL " + m_ACTDCWS.Url + " " +
                                                                         "XiIPAhX " + m_DCCommand.Environ.Host + " " +
                                                                         "|[gԍ " + m_DCCommand.Environ.Port.ToString() + " " +
                                                                         "擾܂";
                } else {
                    //  G[bZ[W̎擾ƕ\
                    String errorMessage = m_ACTDCWS.GetDCWSMessage(m_DCCommand.Environ, resultCode);    
                    if (m_CAParam.AreaDirection == (Int32)AREADIRECTION.OUTFLOW) {			//	BvZ
                        if (m_CAParam.AreaKind == (Int32)AREAKIND.TIME) {			        //	
                            MessageBox.Show("ԓBvZɎs܂B" + "\r\n" + errorMessage,
                                            "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);
                        } else if (m_CAParam.AreaKind == (Int32)AREAKIND.DIST) {	        //	
                            MessageBox.Show("BvZɎs܂B" + "\r\n" + errorMessage,
                                            "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);
                        }
                    } else if (m_CAParam.AreaDirection == (Int32)AREADIRECTION.INFLOW) {	//	vZ
                        if (m_CAParam.AreaKind == (Int32)AREAKIND.TIME) {			        //	
                            MessageBox.Show("ԗvZɎs܂B" + "\r\n" + errorMessage,
                                            "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);
                        } else if (m_CAParam.AreaKind == (Int32)AREAKIND.DIST) {	        //	
                            MessageBox.Show("vZɎs܂B" + "\r\n" + errorMessage,
                                            "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);
                        }
                    }

                    //	Xe[^Xo[̍XV
                    StatusBar.Panels[STATUSBAR_PANEL_STATUS_VIEW].Text = STATUSBAR_TEXT_STATUS_VIEW +
                                                                         "vZT[oURL " + m_ACTDCWS.Url + " " +
                                                                         "XiIPAhX " + m_DCCommand.Environ.Host + " " +
                                                                         "|[gԍ " + m_DCCommand.Environ.Port.ToString() + " " +
                                                                         "̎擾Ɏs";
                }
            } catch (Exception ex) {
                //	ObZ[W̏o
                MessageBox.Show(ex.Message, "vZT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);	

                //	Xe[^Xo[̍XV
                StatusBar.Panels[STATUSBAR_PANEL_STATUS_VIEW].Text = STATUSBAR_TEXT_STATUS_VIEW +
                                                                     "vZT[oURL " + m_ACTDCWS.Url + " " +
                                                                     "XiIPAhX " + m_DCCommand.Environ.Host + " " +
                                                                     "|[gԍ " + m_DCCommand.Environ.Port.ToString() + " " +
                                                                     "̎擾Ɏs";
            }

            //	}EXJ[\ɖ߂
            Cursor.Current = preCursor;
        }

        //  ГꊇvZ
        private void MenuCalcOneWay_Click(object sender, System.EventArgs e) {

            Int32 i;     //	JE^

            //------------------------------------------------------------------------------
            //	vZR}h\̓̔zf[^̃Zbg
            //------------------------------------------------------------------------------

            if (m_DCCommand.Rns != null) {	            //	oRn_ꗗ
                m_DCCommand.Rns = null;					//	e
            }
            if (m_DCCommand.Trds != null) {	            //	LH
                m_DCCommand.Trds = null;				//	e
            }

            //------------------------------------------------------------------------------
            //	ʂ̋vZf[^̐ݒ
            //------------------------------------------------------------------------------

            //	X^[gn_w肳Ă邩H
            if (m_DCCommand.Locs == null) {
                MessageBox.Show("n_w肵ĉB", "x", MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                return;
            }

            //	n_f[^
            m_COWParam.StartGeoPnt.SearchString = Convert.ToString(0);            //	m[h
            m_COWParam.StartGeoPnt.Lon = m_DCCommand.Locs[m_AreaStartPoint].Lon;  //	ox
            m_COWParam.StartGeoPnt.Lat = m_DCCommand.Locs[m_AreaStartPoint].Lat;  //	ܓx

            //------------------------------------------------------------------------------
            //	ǗT[o狗vZT[o̐ݒ
            //------------------------------------------------------------------------------

            DCAdmin.ACTDCADMIN dcAdminServer;	                //	ǗT[oNX
            DCAdmin.Environ dcAdminEnviron;		                //	ǗT[oݒNX

            //	CX^X̍쐬
            dcAdminServer = new DCAdmin.ACTDCADMIN();	        //	ǗT[oIuWFNg
            dcAdminEnviron = new DCAdmin.Environ();		        //	ǗT[oݒIuWFNg
            //	ǗT[oݒ
            try {
                dcAdminServer.Url = m_DCCommand.Environ.WSUrl;	//	ǗT[oURL
            } catch (Exception ex) {
                MessageBox.Show("ǗT[o URL http:// ͂ĂB" + "\r\n" + ex.Message,
                                "G[", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            dcAdminEnviron.UserID = m_DCCommand.Environ.UserID;	//	USERID
            dcAdminEnviron.UUID = m_DCCommand.Environ.UUID;		//	UUID
            try {
                //	vZT[o̎擾ɐH
                if (!dcAdminServer.GetUsableDCServer(ref dcAdminEnviron, m_NWInfo)) {
                    MessageBox.Show("vZT[o̎擾Ɏs܂B" + "\r\n" + "vZpHf[^I̐ݒmFĂB",
                                    "ǗT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);
                    return;
                }
            } catch (Exception ex) {
                MessageBox.Show(ex.Message, "ǗT[o", MessageBoxButtons.OK, MessageBoxIcon.Error);
                return;
            }
            //	vZT[o̐ݒ
            m_ACTDCWS.Url = dcAdminEnviron.WSURL;			    //	vZT[oURL
            m_DCCommand.Environ.Host = dcAdminEnviron.Host;	    //	XiIPAhX
            m_DCCommand.Environ.Port = dcAdminEnviron.Port;	    //	Xi|[gԍ
            
            //------------------------------------------------------------------------------
            //	vZp[^̐ݒ
            //------------------------------------------------------------------------------

            OneWayForm form;					            //	ГꊇvZݒtH[NX
            form = new OneWayForm(m_COWParam);	            //	CX^X쐬
            if (form.ShowDialog(this) != DialogResult.OK) {	//	\
                form.Dispose();	                            //	j
                return;
            }
            form.Dispose();                             	//	j

            //------------------------------------------------------------------------------
            //	P[VwƌvZʎ󂯎p̕ϐݒ
            //------------------------------------------------------------------------------

            DCService.NWInfo nwInfo = m_DCCommand.NWInfo;   //vZpHf[^\

            DCService.GeoLoc[] geoLocs = new DCService.GeoLoc[m_DCCommand.Locs.Length];  //P[V\̂̔z
            for (i = 0; i < m_DCCommand.Locs.Length; i++) {
                geoLocs[i] = new DCService.GeoLoc();
                geoLocs[i].Node = m_DCCommand.Locs[i].Node;
                geoLocs[i].Lon = m_DCCommand.Locs[i].Lon;
                geoLocs[i].Lat = m_DCCommand.Locs[i].Lat;
                geoLocs[i].Tag = m_DCCommand.Locs[i].Tag;
            }

            //------------------------------------------------------------------------------
            //	vZ̎s
            //------------------------------------------------------------------------------

            //	}EXJ[\ҋ@
            Cursor preCursor;                   //	ޔpJ[\
            preCursor = Cursor.Current;
            Cursor.Current = Cursors.WaitCursor;

            try {
                int resultCode;                 //  vŽʃR[h
                //	vZ̎s
                resultCode = m_ACTDCWS.CalcOneWay(m_DCCommand.Environ, m_COWParam, ref geoLocs, ref nwInfo);
                if (resultCode  == 0) {         //  
                    //  vZʂ̔f
                    m_DCCommand.NWInfo = nwInfo;
                    for (i = 0; i < geoLocs.Length; i++) {
                        m_DCCommand.Locs[i].Node = geoLocs[i].Node;
                        m_DCCommand.Locs[i].Lon = geoLocs[i].Lon;
                        m_DCCommand.Locs[i].Lat = geoLocs[i].Lat;
                        m_DCCommand.Locs[i].Time = geoLocs[i].Time;
                        m_DCCommand.Locs[i].DSec = geoLocs[i].DSec;
                        m_DCCommand.Locs[i].Dist = geoLocs[i].Dist;
                        m_DCCommand.Locs[i].HighwayTime = geoLocs[i].HighwayTime;
                        m_DCCommand.Locs[i].HighwayDSec = geoLocs[i].HighwayDSec;
                        m_DCCommand.Locs[i].HighwayDist = geoLocs[i].HighwayDist;
                        m_DCCommand.Locs[i].Toll_SS = geoLocs[i].Toll_SS;
                        m_DCCommand.Locs[i].Toll_S = geoLocs[i].Toll_S;
                        m_DCCommand.Locs[i].Toll_M = geoLocs[i].Toll_M;
                        m_DCCommand.Locs[i].Toll_L = geoLocs[i].Toll_L;
                        m_DCCommand.Locs[i].Toll_LL = geoLocs[i].Toll_LL;
                        m_DCCommand.Locs[i].Tag = geoLocs[i].Tag;
                    }

                    //	vZf[^̒n}ւ̕`
                    m_MapSMD.TextColor = m_MapSMD.GetSMDColor(255, 0, 0);				    //	n_`̕F ԐF ɐݒ
                    m_MapSMD.PointTextFillColor = m_MapSMD.GetSMDColor(255, 255, 0);	    //	n_`̃eLXg\̔wiF F ɐݒ
                    m_MapSMD.PointIconFillColor = MapSMD.FILL_COLOR_TRANSPARENT;		    //	n_`̃ACR\̔wiF F ɐݒ
                    m_MapSMD.DrawDistCalcOneWay(m_DCCommand.Locs, m_COWParam.StartGeoPnt);	//	n}`̎s

                    //	ListView ̍XV
                    UpdateListViewLocs();	    //	vZ
                    UpdateListViewRns();	    //	oRn_ꗗ
                    UpdateListViewTrds();	    //	L񖾍

                    //	Xe[^Xo[̍XV
                    StatusBar.Panels[STATUSBAR_PANEL_STATUS_VIEW].Text = STATUSBAR_TEXT_STATUS_VIEW +
                                                                         "vZT[oURL " + m_ACTDCWS.Url + " " +
                                                                         "XiIPAhX " + m_DCCommand.Environ.Host + " " +
                                                                         "|[gԍ " + m_DCCommand.Environ.Port.ToString() + " " +
                                                                         "擾܂";
                } else {
                    //  G[bZ[W̎擾ƕ\
                    String errorMessage = m_ACTDCWS.GetDCWSMessage(m_DCCommand.Environ ,resultCode);
                    MessageBox.Show("ГꊇvZɎs܂B" + "\r\n" + errorMessage, "vZT[o", 
                                    MessageBoxButtons.OK, MessageBoxIcon.Error);

                    //	Xe[^Xo[̍XV
                    StatusBar.Panels[STATUSBAR_PANEL_STATUS_VIEW].Text = STATUSBAR_TEXT_STATUS_VIEW +
                                                                         "vZT[oURL " + m_ACTDCWS.Url + " " +
                                                                         "XiIPAhX " + m_DCCommand.Environ.Host + " " +
                                                                         "|[gԍ " + m_DCCommand.Environ.Port.ToString() + " " +
                                                                         "̎擾Ɏs";
                }
            } catch (Exception ex) {
                //	ObZ[W̏o
                MessageBox.Show(ex.Message, "vZT[o", 
                                MessageBoxButtons.OK, MessageBoxIcon.Error);

                //	Xe[^Xo[̍XV
                StatusBar.Panels[STATUSBAR_PANEL_STATUS_VIEW].Text = STATUSBAR_TEXT_STATUS_VIEW +
                                                                     "vZT[oURL " + m_ACTDCWS.Url + " " +
                                                                     "XiIPAhX " + m_DCCommand.Environ.Host + " " +
                                                                     "|[gԍ " + m_DCCommand.Environ.Port.ToString() + " " +
                                                                     "̎擾Ɏs";
            }

            //	}EXJ[\ɖ߂
            Cursor.Current = preCursor;
        }

        //**************************************** wv ****************************************

		//	o[W_CAOĂяo
		private void MenuHelpVersion_Click(object sender, System.EventArgs e)
		{
			AboutForm frm;			//	o[W_CAO
			
			frm = new AboutForm();	//	CX^X쐬
			frm.ShowDialog(this);	//	\
			frm.Dispose();			//	j
		}

		//**************************************** MappleX ****************************************

		//	In_𒆉ɂ
		private void MXView_MapLButtonDblClk(object sender, AxMAPPLEXLib._DMapXEvents_MapLButtonDblClkEvent e)
		{
			//	n}Ɋւ郂[hn}ړ[hH
			if (m_MapSMD.MapControl == MapSMD.MAP_CONTROL_GRABBER) {
				m_MapSMD.PanMap(e.longitude, e.latitude);	//	In_𒆉
			}
		}

		//	hbOɂn}ړ̒n}̕\̗
		private void MXView_MapLButtonDown(object sender, AxMAPPLEXLib._DMapXEvents_MapLButtonDownEvent e)
		{
			//	n}Ɋւ郂[hn}ړ[hH
			if (m_MapSMD.MapControl == MapSMD.MAP_CONTROL_GRABBER) {
				Splitter.Visible = false;	//	Xvb^\
			}
		}

		//	ꂼ̒n}샂[hɂNbN
		private void MXView_MapLButtonUp(object sender, AxMAPPLEXLib._DMapXEvents_MapLButtonUpEvent e)
		{
			DCService.Loc NewLoc;		//	P[VNX
			DCService.Loc[] TmpLocs;	//	ꎞޔp P[VIuWFNgz
			Int32 nLocsCount;			//	P[VIuWFNgz̗vf

			//	n}Ɋւ郂[hĺH
			if (m_MapSMD.MapControl == MapSMD.MAP_CONTROL_POINTSELECT) {	//	H_I
				//	IuWFNg蓖ĂĂ邩H
				if (m_DCCommand.Locs == null) {
					m_DCCommand.Locs = new DCService.Loc[1];			//	P[VIuWFNgz̐VKm
				} else {
					nLocsCount = m_DCCommand.Locs.Length;				//	݂̃P[VIuWFNgz̗vf擾
					TmpLocs = new DCService.Loc[nLocsCount + 1];		//	Ċmۗp̃P[VIuWFNgz̊m
					m_DCCommand.Locs.CopyTo(TmpLocs, 0);				//	VzɃRs[
					m_DCCommand.Locs = TmpLocs;							//	VzQƂ
				}

				//	VK P[V IuWFNg̍쐬
				NewLoc = new DCService.Loc();	//	CX^X̍쐬
				NewLoc.Lon = Convert.ToString((Convert.ToDouble(e.longitude) / 3600000.0F));	//	ox
				NewLoc.Lat = Convert.ToString((Convert.ToDouble(e.latitude) / 3600000.0F));		//	ܓx
				NewLoc.Tag = "p_" + m_DCCommand.Locs.Length;								//	^O
				NewLoc.Node = Convert.ToString(0);												//	m[h

				//	P[VIuWFNgzɃP[VIuWFNgǉ
				m_DCCommand.Locs[m_DCCommand.Locs.Length - 1] = NewLoc;

				//	H_̕\
				m_MapSMD.TextColor = m_MapSMD.GetSMDColor(255, 0, 0);				//	n_`̕F ԐF ɐݒ
				m_MapSMD.PointTextFillColor = m_MapSMD.GetSMDColor(255, 255, 0);	//	n_`̃eLXg\̔wiF F ɐݒ
				m_MapSMD.PointIconFillColor = MapSMD.FILL_COLOR_TRANSPARENT;		//	n_`̃ACR\̔wiF F ɐݒ
				m_MapSMD.DrawLastLoc(m_DCCommand);									//	n}`̎s

				//	߂Ďw肳ꂽH_H
				if (m_DCCommand.Locs.Length == 1) {
					m_AreaStartPoint = 0;	//	X^[gn_̏
				}
				//	ListView̍XV
				UpdateListViewLocs();
			} else if (m_MapSMD.MapControl == MapSMD.MAP_CONTROL_GRABBER) {	//	n}ړ
				Splitter.Visible = true;	//	Xvb^\( MXView_MapLButtonDown Ƃ̊֘A)
			} else if (m_MapSMD.MapControl == MapSMD.MAP_CONTROL_ZOOMIN) {	//	g
				m_MapSMD.SetScaleforSMD(Convert.ToInt32(m_MapSMD.MapScale * 0.8));	//	kڒl̕ύX
				m_MapSMD.PanMap(e.longitude, e.latitude);	//	In_𒆉
				//	Xe[^Xo[̍XV
				StatusBar.Panels[STATUSBAR_PANEL_SCALE].Text = m_MapSMD.MapScale.ToString(STATUSBAR_TEXT_SCALE);
			} else if (m_MapSMD.MapControl == MapSMD.MAP_CONTROL_ZOOMOUT) {	//	k
				m_MapSMD.SetScaleforSMD(Convert.ToInt32(m_MapSMD.MapScale * 1.2));	//	kڒl̕ύX
				m_MapSMD.PanMap(e.longitude, e.latitude);	//	In_𒆉
				//	Xe[^Xo[̍XV
				StatusBar.Panels[STATUSBAR_PANEL_SCALE].Text = m_MapSMD.MapScale.ToString(STATUSBAR_TEXT_SCALE);
			}
		}

		//	n}̕\kڒlݒ肷
		private void MXView_ContextMenuClick(object sender, AxMAPPLEXLib._DMapXEvents_ContextMenuClickEvent e)
		{
			//	n}̕\kڒl̐ݒ
			switch (e.lngMenuId)
			{
				case 1 :
					m_MapSMD.SetScaleforSMD(8000000);	//	k8001
					break;
				case 2 :
					m_MapSMD.SetScaleforSMD(3000000);	//	k3001
					break;
				case 3 :
					m_MapSMD.SetScaleforSMD(1500000);	//	k1501
					break;
				case 4 :
					m_MapSMD.SetScaleforSMD(200000);	//	k201
					break;
				case 5 :
					m_MapSMD.SetScaleforSMD(100000);	//	k101
					break;
				case 6 :
					m_MapSMD.SetScaleforSMD(50000);		//	k51
					break;
				case 7 :
					m_MapSMD.SetScaleforSMD(25000);		//	k25番1
					break;
				case 8 :
					m_MapSMD.SetScaleforSMD(10000);		//	k11
					break;
				case 9 :
					m_MapSMD.SetScaleforSMD(5000);		//	k50001
					break;
				case 10 :
					m_MapSMD.SetScaleforSMD(2500);		//	k25001
					break;
				default :
					return;								//	ȊO
			}
			m_MapSMD.PanMap(e.lngLongitude, e.lngLatitude);	//	In_𒆉
			//	Xe[^Xo[̍XV
			StatusBar.Panels[STATUSBAR_PANEL_SCALE].Text = m_MapSMD.MapScale.ToString(STATUSBAR_TEXT_SCALE);
		}

		//**************************************** ToolBar ****************************************

		//	c[o[{^̑
		private void ToolBar_ButtonClick(object sender, System.Windows.Forms.ToolBarButtonClickEventArgs e)
		{
			System.EventArgs args;	//	CxgCX^X

			args = new System.EventArgs();	//	CxgCX^X̍쐬

			//	Cj[Ƃ̋ʃR}h
			if (e.Button == ToolBarButtonPointSelect)					//	H_I
				MenuViewMapControl_Click(MenuEditPointSelect, args);
			else if (e.Button == ToolBarButtonGrabber)					//	n}ړ
				MenuViewMapControl_Click(MenuViewGrabber, args);
			else if (e.Button == ToolBarButtonZoomIn)					//	g
				MenuViewMapControl_Click(MenuViewZoomIn, args);
			else if (e.Button == ToolBarButtonZoomOut)					//	k
				MenuViewMapControl_Click(MenuViewZoomOut, args);
			else if (e.Button == ToolBarButtonClearMap)					//	ʃNA
				MenuViewClearMap_Click(MenuViewClearMap, args);
			else if (e.Button == ToolBarButtonClearNodes)				//	H_NA
				MenuEditClearNodes_Click(MenuEditClearNodes, args);
			else if (e.Button == ToolBarButtonCalcRoute)				//	[gvZ
				MenuCalcRoute_Click(MenuCalcRoute, args);
			else if (e.Button == ToolBarButtonCalcOptRoute)				//	ŒZ[gvZ
				MenuCalcRoute_Click(MenuCalcOptRoute, args);
			else if (e.Button == ToolBarButtonCalcArea)					//	B/vZ
				MenuCalcArea_Click(MenuCalcArea, args);
			else if (e.Button == toolBarButtonCalcOneWay)				//	ГꊇvZ
				MenuCalcOneWay_Click(MenuCalcOneWay, args);
		}

		//**************************************** ListView ****************************************

		//	ListView (vZ)ł̃ReLXgj[̑
		private void ContextMenuCalcAreaStartPoint_Click(object sender, System.EventArgs e)
		{
			Int32 nSelectedIndex;	//	IĂ INDEX ԍ

			try
			{
				//	IĂ INDEX ԍ̎擾
				nSelectedIndex = ListViewLocs.SelectedItems[0].Index;
			}
			catch (ArgumentOutOfRangeException)
			{
				return;
			}
			//	VKX^[gn_̎w
			m_AreaStartPoint = nSelectedIndex;
			//	ListView ̍XV
			UpdateListViewLocs();
		}

		//	ListView (vZ)̑Iꂽs̒n_n}̒ɂ
		private void listViewLocs_DoubleClick(object sender, System.EventArgs e)
		{
			Int32 nSelectedIndex;	//	IĂ INDEX ԍ
			Int32 nLon;				//	S_ɐݒ肷ox
			Int32 nLat;				//	S_ɐݒ肷ܓx

			//	IĂ INDEX ԍ̎擾
			nSelectedIndex = ListViewLocs.SelectedItems[0].Index;
			nLon = Convert.ToInt32(Convert.ToDouble(m_DCCommand.Locs[nSelectedIndex].Lon) * 3600000.0F);	//	ox
			nLat = Convert.ToInt32(Convert.ToDouble(m_DCCommand.Locs[nSelectedIndex].Lat) * 3600000.0F);	//	ܓx
			//	ox/ܓx͐ȒlH
			if ((nLon >= 0) && (nLat >= 0)) {
				m_MapSMD.PanMap(nLon, nLat);	//	In_𒆉
			}
		}

		//------------------------------------------------------------------------------
		//	Methods
		//------------------------------------------------------------------------------

		//	[Private]

		//**************************************** o͌n ****************************************

		//	ListView (vZ)XV
		//	p[^
		//		Ȃ
		//	߂l
		//		Ȃ
		private void UpdateListViewLocs()
		{
			Int32 i;	//	JE^

			ListViewLocs.Items.Clear();	//	ListView ACeSăNA

            if (m_DCCommand.Locs == null)
                return;

            //	ListView ACeƂċvZf[^ݒ
			for (i = 0; i < m_DCCommand.Locs.Length; i++) {
				ListViewLocs.Items.Add(Convert.ToString(i + 1));									//	n_ No.
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].Tag);						//	p_
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].Node);						//	m[h
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].Lon);						//	ox
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].Lat);						//	ܓx
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].DSec.ToString());			//	v(0.1b)
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].Time.ToString());			//	v()
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].Dist.ToString());			//	̂(m)
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].HighwayDSec.ToString());		//	v(0.1b)
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].HighwayTime.ToString());		//	v()
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].HighwayDist.ToString());		//	̂(m)
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].Toll_SS.ToString());			//	֥y(SS)
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].Toll_S.ToString());			//	ʗ(S)
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].Toll_M.ToString());			//	^(M)
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].Toll_L.ToString());			//	^(L)
				ListViewLocs.Items[i].SubItems.Add(m_DCCommand.Locs[i].Toll_LL.ToString());			//	嗿(LL)
			}
			//	B /  ̃X^[gn_̓o^
			ListViewLocs.Items[m_AreaStartPoint].Text += STARTPOINT_SIGNATURE;

			return;
		}

		//	ListView (oRn_ꗗ)XV
		//	p[^
		//		Ȃ
		//	߂l
		//		Ȃ
		private void UpdateListViewRns()
		{
			Int32 i;	//	JE^

			ListViewRns.Items.Clear();	//	ListView ACeSăNA

            if (m_DCCommand.Rns == null)
                return;

			//	ListView ACeƂċvZf[^ݒ
			for (i = 0; i < m_DCCommand.Rns.Length; i++) {
				ListViewRns.Items.Add(Convert.ToString(i + 1));								//	No.
				ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].LocFlag.ToString());	//	P[VtO
				ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].LinkFlag.ToString());	//	ڑtO
				ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].NLCode);				//	m[h
                ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].Name);					//	n_
				ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].DSec.ToString());		//	(0.1b)
				ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].Time.ToString());		//	()
				ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].Dist.ToString());		//	̂(m)
				ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].Toll_SS.ToString());	//	֥y(SS)
				ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].Toll_S.ToString());	//	ʗ(S)
				ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].Toll_M.ToString());	//	^(M)
				ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].Toll_L.ToString());	//	^(L)
				ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].Toll_LL.ToString());	//	嗿(LL)
				ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].ICType.ToString());	//	IC 
				ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].Lon);					//	ox
				ListViewRns.Items[i].SubItems.Add(m_DCCommand.Rns[i].Lat);					//	ܓx
			}

			return;
		}

		//	ListView (LH)XV
		//	p[^
		//		Ȃ
		//	߂l
		//		Ȃ
		private void UpdateListViewTrds()
		{
			Int32 i;	//	JE^
            
			ListViewTrds.Items.Clear();	//	ListView ACeSăNA

            if (m_DCCommand.Trds == null)
                return;

			//	ListView ACeƂċvZf[^ݒ
			for (i = 0; i < m_DCCommand.Trds.Length; i++) {
				ListViewTrds.Items.Add(Convert.ToString(i + 1));								//	No.
				ListViewTrds.Items[i].SubItems.Add(m_DCCommand.Trds[i].InRdName);				//	H
				ListViewTrds.Items[i].SubItems.Add(m_DCCommand.Trds[i].InICName);				//	 IC
				ListViewTrds.Items[i].SubItems.Add(m_DCCommand.Trds[i].OutRdName);				//	oH
				ListViewTrds.Items[i].SubItems.Add(m_DCCommand.Trds[i].OutICName);				//	o IC
				ListViewTrds.Items[i].SubItems.Add(m_DCCommand.Trds[i].Toll_SS.ToString());		//	֥y(SS)
				ListViewTrds.Items[i].SubItems.Add(m_DCCommand.Trds[i].Toll_S.ToString());		//	ʗ(S)
				ListViewTrds.Items[i].SubItems.Add(m_DCCommand.Trds[i].Toll_M.ToString());		//	^(M)
				ListViewTrds.Items[i].SubItems.Add(m_DCCommand.Trds[i].Toll_L.ToString());		//	^(L)
				ListViewTrds.Items[i].SubItems.Add(m_DCCommand.Trds[i].Toll_LL.ToString());		//	嗿(LL)
				ListViewTrds.Items[i].SubItems.Add(m_DCCommand.Trds[i].Dist.ToString());		//	(km)
			}

			return;
		}

	}
}

//	End of Source
