//------------------------------------------------------------------------------
// 
//   ACTvZT[rX TvvO
//   vZpHf[^ItH[NX
//
//   Copyrights (c) 2004-2009 Advanced Core Technologies, Inc. All rights reserved.
//
//	2005/03/04 Rev.1.00 RIN J
//  2009/01/19 Rev.2.0.1.0 ISHI XV    [_Ή
//
//------------------------------------------------------------------------------

//	Using Namespace
using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace SampleMX
{
	/// <summary>
	/// RoadForm ̊Tv̐łB
	/// </summary>
	/// 
	//	Definition of Class
	public class RoadForm : System.Windows.Forms.Form
	{

		//------------------------------------------------------------------------------
		//	Constants
		//------------------------------------------------------------------------------

		//	[Public]

		public const Int32 UNSELECT_INDEX = -1;	//	ListView ACe̖I

		//------------------------------------------------------------------------------
		//	Members
		//------------------------------------------------------------------------------

		//	[Private]

		private DCAdmin.NWInfo[] m_NWInfos;			//	vZpHf[^IuWFNgz̐擪vf
		private DCAdmin.NWInfo m_NWInfo;			//	ݐݒ肳ĂvZpHf[^IuWFNg
		private Int32 m_NWInfoResultIndex;			//	gpvZpHf[^IuWFNgz̗vfԍ

		//	[Internal]

		internal System.Windows.Forms.Label labelLine;
		internal System.Windows.Forms.ColumnHeader ColumnHeaderNWID;
		internal System.Windows.Forms.Label labelExplanation;
		internal System.Windows.Forms.ListView ListViewRoad;
		internal System.Windows.Forms.ColumnHeader ColumnHeaderRoadNote;
		internal System.Windows.Forms.Button buttonNext;
		internal System.Windows.Forms.Button buttonBefore;
		internal System.Windows.Forms.Button buttonCancel;
		internal System.Windows.Forms.Button buttonFinal;
        internal ColumnHeader ColumnHeaderCar;
        internal ColumnHeader ColumnHeaderAirway;
        internal ColumnHeader ColumnHeaderFerry;
        internal ColumnHeader ColumnHeaderRailload;
        internal ColumnHeader ColumnHeaderRailloadFreight;
        internal ColumnHeader ColumnHeaderShip;
        internal ColumnHeader ColumnHeaderWalk;

		//	[Private]

		/// <summary>
		/// KvȃfUCiϐłB
		/// </summary>
		private System.ComponentModel.Container components = null;

		//------------------------------------------------------------------------------
		//	Methods
		//------------------------------------------------------------------------------

		//	[Public]

		//	RXgN^
		//	p[^
		//	NWInfos	[IN]vZpHf[^IuWFNgz̐擪vf
		//	NWInfo	[IN]ݐݒ肳ĂvZpHf[^IuWFNg
		public RoadForm(
			DCAdmin.NWInfo[] NWInfos,
			DCAdmin.NWInfo NWInfo
			)
		{
			//
			// Windows tH[ fUCi T|[gɕKvłB
			//
			InitializeComponent();

			//
			// TODO: InitializeComponent ĂяǒɁARXgN^ R[hǉĂB
			//
			//	ݒ
			m_NWInfos = NWInfos;
			m_NWInfo = NWInfo;
		}

		//	gpvZpHf[^IuWFNgz̗vfԍ擾
		//	p[^
		//		Ȃ
		//	߂l
		//		vfԍ
		//	l
		//		UNSELECT_INDEX	I
		public Int32 GetNWInfosResultIndex()
		{
			return m_NWInfoResultIndex;
		}

		//	[Protected]

		/// <summary>
		/// gpĂ郊\[XɌ㏈s܂B
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows tH[ fUCiŐꂽR[h 
		/// <summary>
		/// fUCi T|[gɕKvȃ\bhłB̃\bh̓e
		/// R[h GfB^ŕύXȂłB
		/// </summary>
		private void InitializeComponent()
		{
            this.labelLine = new System.Windows.Forms.Label();
            this.ColumnHeaderNWID = new System.Windows.Forms.ColumnHeader();
            this.labelExplanation = new System.Windows.Forms.Label();
            this.ListViewRoad = new System.Windows.Forms.ListView();
            this.ColumnHeaderRoadNote = new System.Windows.Forms.ColumnHeader();
            this.ColumnHeaderCar = new System.Windows.Forms.ColumnHeader();
            this.ColumnHeaderWalk = new System.Windows.Forms.ColumnHeader();
            this.ColumnHeaderAirway = new System.Windows.Forms.ColumnHeader();
            this.ColumnHeaderFerry = new System.Windows.Forms.ColumnHeader();
            this.ColumnHeaderRailload = new System.Windows.Forms.ColumnHeader();
            this.ColumnHeaderRailloadFreight = new System.Windows.Forms.ColumnHeader();
            this.ColumnHeaderShip = new System.Windows.Forms.ColumnHeader();
            this.buttonNext = new System.Windows.Forms.Button();
            this.buttonBefore = new System.Windows.Forms.Button();
            this.buttonCancel = new System.Windows.Forms.Button();
            this.buttonFinal = new System.Windows.Forms.Button();
            this.SuspendLayout();
            // 
            // labelLine
            // 
            this.labelLine.BackColor = System.Drawing.SystemColors.ActiveCaptionText;
            this.labelLine.Location = new System.Drawing.Point(8, 152);
            this.labelLine.Name = "labelLine";
            this.labelLine.Size = new System.Drawing.Size(481, 1);
            this.labelLine.TabIndex = 2;
            // 
            // ColumnHeaderNWID
            // 
            this.ColumnHeaderNWID.Text = "vZpHf[^lbg[NID";
            this.ColumnHeaderNWID.Width = 236;
            // 
            // labelExplanation
            // 
            this.labelExplanation.Location = new System.Drawing.Point(8, 8);
            this.labelExplanation.Name = "labelExplanation";
            this.labelExplanation.Size = new System.Drawing.Size(481, 16);
            this.labelExplanation.TabIndex = 0;
            this.labelExplanation.Text = "gpvZpHf[^Iāuv{^ĂB";
            this.labelExplanation.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
            // 
            // ListViewRoad
            // 
            this.ListViewRoad.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
            this.ColumnHeaderRoadNote,
            this.ColumnHeaderCar,
            this.ColumnHeaderWalk,
            this.ColumnHeaderAirway,
            this.ColumnHeaderFerry,
            this.ColumnHeaderRailload,
            this.ColumnHeaderRailloadFreight,
            this.ColumnHeaderShip,
            this.ColumnHeaderNWID});
            this.ListViewRoad.FullRowSelect = true;
            this.ListViewRoad.HideSelection = false;
            this.ListViewRoad.Location = new System.Drawing.Point(8, 32);
            this.ListViewRoad.MultiSelect = false;
            this.ListViewRoad.Name = "ListViewRoad";
            this.ListViewRoad.Size = new System.Drawing.Size(481, 112);
            this.ListViewRoad.TabIndex = 1;
            this.ListViewRoad.View = System.Windows.Forms.View.Details;
            this.ListViewRoad.SelectedIndexChanged += new System.EventHandler(this.ListViewRoad_SelectedIndexChanged);
            // 
            // ColumnHeaderRoadNote
            // 
            this.ColumnHeaderRoadNote.Text = "vZpHf[^";
            this.ColumnHeaderRoadNote.Width = 241;
            // 
            // ColumnHeaderCar
            // 
            this.ColumnHeaderCar.Text = "";
            // 
            // ColumnHeaderWalk
            // 
            this.ColumnHeaderWalk.Text = "s";
            // 
            // ColumnHeaderAirway
            // 
            this.ColumnHeaderAirway.Text = "q@";
            // 
            // ColumnHeaderFerry
            // 
            this.ColumnHeaderFerry.Text = "tF[";
            // 
            // ColumnHeaderRailload
            // 
            this.ColumnHeaderRailload.Text = "qS";
            // 
            // ColumnHeaderRailloadFreight
            // 
            this.ColumnHeaderRailloadFreight.Text = "ݕS";
            // 
            // ColumnHeaderShip
            // 
            this.ColumnHeaderShip.Text = "qD";
            // 
            // buttonNext
            // 
            this.buttonNext.Enabled = false;
            this.buttonNext.Font = new System.Drawing.Font("MS UI Gothic", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.buttonNext.Location = new System.Drawing.Point(290, 162);
            this.buttonNext.Name = "buttonNext";
            this.buttonNext.Size = new System.Drawing.Size(96, 24);
            this.buttonNext.TabIndex = 5;
            this.buttonNext.Text = "(&N) >";
            // 
            // buttonBefore
            // 
            this.buttonBefore.DialogResult = System.Windows.Forms.DialogResult.Retry;
            this.buttonBefore.Font = new System.Drawing.Font("MS UI Gothic", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.buttonBefore.Location = new System.Drawing.Point(186, 162);
            this.buttonBefore.Name = "buttonBefore";
            this.buttonBefore.Size = new System.Drawing.Size(96, 24);
            this.buttonBefore.TabIndex = 4;
            this.buttonBefore.Text = "< ߂(&B)";
            // 
            // buttonCancel
            // 
            this.buttonCancel.DialogResult = System.Windows.Forms.DialogResult.Cancel;
            this.buttonCancel.Font = new System.Drawing.Font("MS UI Gothic", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.buttonCancel.Location = new System.Drawing.Point(82, 162);
            this.buttonCancel.Name = "buttonCancel";
            this.buttonCancel.Size = new System.Drawing.Size(96, 24);
            this.buttonCancel.TabIndex = 3;
            this.buttonCancel.Text = "ݾ";
            // 
            // buttonFinal
            // 
            this.buttonFinal.DialogResult = System.Windows.Forms.DialogResult.OK;
            this.buttonFinal.Enabled = false;
            this.buttonFinal.Font = new System.Drawing.Font("MS UI Gothic", 9F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
            this.buttonFinal.Location = new System.Drawing.Point(394, 162);
            this.buttonFinal.Name = "buttonFinal";
            this.buttonFinal.Size = new System.Drawing.Size(96, 24);
            this.buttonFinal.TabIndex = 6;
            this.buttonFinal.TabStop = false;
            this.buttonFinal.Text = "(&F)";
            this.buttonFinal.Click += new System.EventHandler(this.buttonFinal_Click);
            // 
            // RoadForm
            // 
            this.AutoScaleBaseSize = new System.Drawing.Size(5, 12);
            this.CancelButton = this.buttonCancel;
            this.ClientSize = new System.Drawing.Size(498, 194);
            this.Controls.Add(this.labelLine);
            this.Controls.Add(this.labelExplanation);
            this.Controls.Add(this.ListViewRoad);
            this.Controls.Add(this.buttonNext);
            this.Controls.Add(this.buttonBefore);
            this.Controls.Add(this.buttonCancel);
            this.Controls.Add(this.buttonFinal);
            this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.FixedDialog;
            this.MaximizeBox = false;
            this.MinimizeBox = false;
            this.Name = "RoadForm";
            this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
            this.Text = "vZpHf[^IEBU[h - 2 / 2";
            this.Load += new System.EventHandler(this.RoadForm_Load);
            this.ResumeLayout(false);

		}
		#endregion

		//------------------------------------------------------------------------------
		//	Event Handlers
		//------------------------------------------------------------------------------

		//	tH[̏
		private void RoadForm_Load(object sender, System.EventArgs e)
		{
			Int32 i;			//	JE^
			Int32 arrayLength;	//	z̗vf

			m_NWInfoResultIndex = UNSELECT_INDEX;	//	IƂ

			arrayLength = m_NWInfos.Length;	//	z̗vf擾

			//	ListView  vZpHf[^IuWFNg̊eo\
			for (i = 0; i < arrayLength; i++) {
				ListViewRoad.Items.Add(m_NWInfos[i].Note);							//	vZpHf[^

                //NWIDɉđΉA@ւɁ~\
                Int16 flag = Convert.ToInt16(m_NWInfos[i].NWID.ToString().Substring(5, 3), 16);   //tO
                Int16[] flagMeans = new Int16[] {(Int16)ACT.DCWS.NWID_CLASSA.CAR,                 //
                                                   (Int16)ACT.DCWS.NWID_CLASSA.WALK,              //s   
                                                   (Int16)ACT.DCWS.NWID_CLASSA.AIRWAY,            //q@   
                                                   (Int16)ACT.DCWS.NWID_CLASSA.FERRY,             //tF[ 
                                                   (Int16)ACT.DCWS.NWID_CLASSA.RAILROAD,          //qS 
                                                   (Int16)ACT.DCWS.NWID_CLASSA.RAILROAD_FREIGHT,  //ݕS 
                                                   (Int16)ACT.DCWS.NWID_CLASSA.SHIP,              //qD   
                                                   };                                             //tÖӖ
                String[] iSubItems = new String[7];                             //TuACe̔z
                for (int j = 0; j < 7; j++) {
                     iSubItems[j] = ((flag & flagMeans[j]) > 0 ? "" : "~"); 
                }
                ListViewRoad.Items[i].SubItems.AddRange(iSubItems);

				ListViewRoad.Items[i].SubItems.Add(m_NWInfos[i].NWID.ToString());	//	NWID
			}

			//	ݐݒ肳ĂvZpHf[^IuWFNgI
			if (m_NWInfo.Note != null) {
				for (i = 0; i < arrayLength; i++) {
					//	ݒ肳ĂvZpHf[^̃ACeH
					if (String.Compare(ListViewRoad.Items[i].Text, m_NWInfo.Note) == 0) {
						//	̃ACeI
						ListViewRoad.Items[i].Selected = true;
						ListViewRoad.Items[i].Focused = true;
						break;	//	[v𔲂
					}
				}
			}
		}

		//	uv{^̏
		private void buttonFinal_Click(object sender, System.EventArgs e)
		{
			Int32 nSelectedIndex;	//	IĂ INDEX ԍ

			try
			{
				//	IĂ INDEX ԍ̎擾
				nSelectedIndex = ListViewRoad.SelectedItems[0].Index;
			}
			catch (ArgumentOutOfRangeException)
			{
				nSelectedIndex = UNSELECT_INDEX;	//	IƂ
			}

			m_NWInfoResultIndex = nSelectedIndex;	//	Iꂽvfԍݒ
		}

		//	vZpHf[^IĂ邩`FbN
		private void ListViewRoad_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			//	vZpHf[^͑IĂ邩H
			if (ListViewRoad.SelectedItems.Count > 0) {
				buttonFinal.Enabled = true;		//	uv{^gp\
				buttonFinal.TabStop = true;		//	Tabړ\
				AcceptButton = buttonFinal;		//	ftHg{^ɓo^
			} else {
				buttonFinal.TabStop = false;	//	Tabړs
				buttonFinal.Enabled = false;	//	uv{^gps
				AcceptButton = null;			//	ftHg{^̉
			}
		}

	}
}

//	End of Source

